For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of pricing plan subscriptions
      • POSTCreate a pricing plan subscription
      • PUTUpdate or create a pricing plan subscription (upsert)
      • POSTCreate a pricing plan subscription and schedule. This will also result in a first invoice being created for the provided pricing plan schedule and subscription.
      • POSTSearch a pricing plan subscription
      • GETGet a pricing plan subscription by its ID
      • DELDelete a pricing plan subscription by resource ID
      • PATCHUpdate a pricing plan subscription by resource ID
      • POSTVoid a pricing plan subscription by resource ID
      • POSTArchive a pricing plan subscription by resource ID
      • POSTCancel a pricing plan subscription by resource ID
      • POSTCopy a pricing plan subscription by resource ID
      • POSTChange the payment method of a pricing plan subscription
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricing Plan Subscriptions

Update or create a pricing plan subscription (upsert)

PUT
/v:version/pricing-plan-subscriptions
PUT
/v:version/pricing-plan-subscriptions
$curl -X PUT https://test.api.solvimon.com/v1/pricing-plan-subscriptions \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "Subscription",
> "purchase_order_number": "MyPONumber_001",
> "customer_id": "cust_awDeAl0tsKup9BBJNU1m",
> "billing_entity_id": "bile_EwDegI0tt0diFEBEed12",
> "billing_period": {
> "type": "MONTH",
> "value": 1
> },
> "billing_currency": "EUR"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "updated_at": "string",
6 "activated_at": "string",
7 "status": "DRAFT",
8 "reference": "string",
9 "name": "string",
10 "purchase_order_number": "string",
11 "customer_id": "string",
12 "customer_reference": "string",
13 "customer": {
14 "object_type": "string",
15 "id": "string",
16 "created_at": "string",
17 "parent_customer_id": "string",
18 "parent_customer_ids": [
19 "string"
20 ],
21 "reference": "string",
22 "status": "DRAFT",
23 "timezone": "string",
24 "type": "ORGANIZATION",
25 "email": "string",
26 "notification_preferences": [
27 {
28 "type": "INVOICE",
29 "channels": [
30 {
31 "type": "EMAIL",
32 "enabled": true
33 }
34 ]
35 }
36 ],
37 "locale": "string",
38 "individual": {
39 "name": {
40 "first_name": "string",
41 "last_name": "string",
42 "infix": "string"
43 },
44 "residential_address": {
45 "line1": "string",
46 "line2": "string",
47 "city": "string",
48 "postal_code": "string",
49 "state": "string",
50 "country": "AD"
51 }
52 },
53 "organization": {
54 "legal_name": "string",
55 "tax_id": "string",
56 "tax_ids": [
57 {
58 "id": "string",
59 "type": "GENERIC_TAX_ID",
60 "display_name": "string",
61 "tax_id_validation_result": {
62 "id": "string",
63 "validation_date": "string",
64 "source": "string",
65 "valid": "VALID",
66 "message": "string"
67 }
68 }
69 ],
70 "registration_number": "string",
71 "tax_exempt": true,
72 "tax_exempt_note": "string",
73 "registered_address": {
74 "line1": "string",
75 "line2": "string",
76 "city": "string",
77 "postal_code": "string",
78 "state": "string",
79 "country": "AD"
80 },
81 "tax_registrations": [
82 {
83 "id": "string",
84 "description": "string",
85 "tax_id": "string",
86 "tax_ids": [
87 {
88 "id": "string",
89 "type": "GENERIC_TAX_ID",
90 "display_name": "string",
91 "tax_id_validation_result": {
92 "id": "string",
93 "validation_date": "string",
94 "source": "string",
95 "valid": "VALID",
96 "message": "string"
97 }
98 }
99 ],
100 "registration_number": "string",
101 "registered_address": {
102 "line1": "string",
103 "line2": "string",
104 "city": "string",
105 "postal_code": "string",
106 "state": "string",
107 "country": "AD"
108 }
109 }
110 ]
111 },
112 "custom_fields": [
113 {
114 "id": "string",
115 "reference": "string",
116 "value": "string",
117 "values": [
118 "string"
119 ],
120 "integration_details": {
121 "id": "string",
122 "reference": "string",
123 "payment_gateway_variant": "ADYEN",
124 "adyen": {
125 "recurring_detail_reference": "string"
126 },
127 "stripe": {
128 "payment_method_id": "string"
129 }
130 }
131 }
132 ],
133 "processing_only": true,
134 "pricing_plan_subscription_selector": {
135 "data": [
136 {
137 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
138 "value": "string"
139 }
140 ],
141 "rules": [
142 {
143 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
144 "type": "EQUALS"
145 }
146 ],
147 "filters": [
148 {
149 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
150 "type": "EQUALS",
151 "value": "string"
152 }
153 ],
154 "fallback": "LATEST"
155 },
156 "linked_integrations": [
157 {
158 "id": "string",
159 "link_details": [
160 {
161 "url": "string",
162 "custom_field_name": "string"
163 }
164 ]
165 }
166 ],
167 "roles": [
168 "DEFAULT"
169 ],
170 "seller_details": {
171 "default_billing_entity_id": "string"
172 }
173 },
174 "billing_entity_id": "string",
175 "billing_entity_reference": "string",
176 "billing_entity": {
177 "object_type": "string",
178 "id": "string",
179 "created_at": "string",
180 "reference": "string",
181 "status": "string",
182 "timezone": "string",
183 "legal_name": "string",
184 "tax_id": "string",
185 "tax_ids": [
186 {
187 "id": "string",
188 "type": "GENERIC_TAX_ID",
189 "display_name": "string",
190 "tax_id_validation_result": {
191 "id": "string",
192 "validation_date": "string",
193 "source": "string",
194 "valid": "VALID",
195 "message": "string"
196 }
197 }
198 ],
199 "registration_number": "string",
200 "registered_address": {
201 "line1": "string",
202 "line2": "string",
203 "city": "string",
204 "postal_code": "string",
205 "state": "string",
206 "country": "AD"
207 },
208 "email": "string",
209 "tax_settings": {
210 "apply_local_vat_for_missing_tax_id": true
211 },
212 "tax_registrations": [
213 {
214 "id": "string",
215 "description": "string",
216 "tax_id": "string",
217 "tax_ids": [
218 {
219 "id": "string",
220 "type": "GENERIC_TAX_ID",
221 "display_name": "string",
222 "tax_id_validation_result": {
223 "id": "string",
224 "validation_date": "string",
225 "source": "string",
226 "valid": "VALID",
227 "message": "string"
228 }
229 }
230 ],
231 "registration_number": "string",
232 "registered_address": {
233 "line1": "string",
234 "line2": "string",
235 "city": "string",
236 "postal_code": "string",
237 "state": "string",
238 "country": "AD"
239 }
240 }
241 ],
242 "custom_fields": [
243 {
244 "id": "string",
245 "reference": "string",
246 "value": "string",
247 "values": [
248 "string"
249 ],
250 "integration_details": {
251 "id": "string",
252 "reference": "string",
253 "payment_gateway_variant": "ADYEN",
254 "adyen": {
255 "recurring_detail_reference": "string"
256 },
257 "stripe": {
258 "payment_method_id": "string"
259 }
260 }
261 }
262 ],
263 "default_customer_country_selector": [
264 "AD"
265 ],
266 "default_billing_currency_selector": [
267 "AED"
268 ],
269 "linked_integrations": [
270 {
271 "id": "string",
272 "link_details": [
273 {
274 "url": "string",
275 "custom_field_name": "string"
276 }
277 ]
278 }
279 ]
280 },
281 "billing_period": {
282 "type": "DAY",
283 "value": 1
284 },
285 "billing_currency": "AED",
286 "due_date_configuration": {
287 "type": "PERIOD_AFTER_INVOICE_DATE",
288 "period": {
289 "type": "DAY",
290 "value": 1
291 }
292 },
293 "initial_term": {
294 "type": "DAY",
295 "value": 1
296 },
297 "renewal_term": {
298 "type": "DAY",
299 "value": 1
300 },
301 "auto_renewal": true,
302 "type": "QUOTE",
303 "variant": "DEFAULT",
304 "billing_time": "EXACT",
305 "combine": true,
306 "quote_version_id": "string",
307 "upgraded_from_pricing_plan_subscription_id": "string",
308 "upgraded_to_pricing_plan_subscription_id": "string",
309 "payment_acceptor_ids": [
310 "string"
311 ],
312 "payment_acceptors": [
313 {
314 "object_type": "string",
315 "id": "string",
316 "billing_entity_id": "string",
317 "customer_id": "string",
318 "reference": "string",
319 "name": "string",
320 "description": "string",
321 "type": "BANK_ACCOUNT",
322 "bank_account": {
323 "type": "IBAN",
324 "iban": "string",
325 "country": "string",
326 "bic": "string",
327 "bank_name": "string",
328 "bank_address": {
329 "line1": "string",
330 "line2": "string",
331 "city": "string",
332 "postal_code": "string",
333 "state": "string",
334 "country": "AD"
335 },
336 "account_number_and_bic": {
337 "account_number": "string",
338 "bank_code": "string",
339 "bic": "string"
340 },
341 "uk_local": {
342 "account_number": "string",
343 "sort_code": "string"
344 },
345 "us_local": {
346 "account_number": "string",
347 "account_type": "CHECKING",
348 "bank_code": "string",
349 "routing_number": "string"
350 },
351 "br_local": {
352 "branch": "string",
353 "account_number": "string",
354 "bic": "string"
355 },
356 "ar_local": {
357 "cbu": "string",
358 "account_number": "string",
359 "bic": "string"
360 },
361 "mx_local": {
362 "clabe": "string",
363 "account_number": "string",
364 "bic": "string"
365 },
366 "account_number": "string",
367 "bank_code": "string",
368 "routing_number": "string",
369 "account_type": "CHECKING"
370 },
371 "payment_gateway": {
372 "integration_id": "string",
373 "integration": {
374 "object_type": "string",
375 "id": "string",
376 "reference": "string",
377 "name": "string",
378 "description": "string",
379 "status": "DRAFT",
380 "message": "string",
381 "type": "PAYMENT_GATEWAY",
382 "authentication": {
383 "api_key": {
384 "header": "string",
385 "value": "string"
386 },
387 "client_credentials": {
388 "client_id": "string",
389 "client_secret": "string"
390 },
391 "username_password": {
392 "username": "string",
393 "password": "string"
394 }
395 },
396 "payment_gateway": {
397 "variant": "ADYEN",
398 "adyen": {
399 "company_account": "string",
400 "environment": "LIVE",
401 "live_prefix": "string",
402 "merchant_accounts": [
403 "string"
404 ],
405 "public_key": "string",
406 "signing_secret": "string",
407 "ownership": "PLATFORM",
408 "system_ownership_details": {
409 "account_holder_id": "string",
410 "balance_account_id": "string",
411 "legal_entity_id": "string"
412 },
413 "balance_platform_details": {
414 "account": "string",
415 "authentication": {
416 "api_key": {
417 "header": "string",
418 "value": "string"
419 },
420 "client_credentials": {
421 "client_id": "string",
422 "client_secret": "string"
423 },
424 "username_password": {
425 "username": "string",
426 "password": "string"
427 }
428 }
429 },
430 "legal_entity_manager_details": {
431 "authentication": {
432 "api_key": {
433 "header": "string",
434 "value": "string"
435 },
436 "client_credentials": {
437 "client_id": "string",
438 "client_secret": "string"
439 },
440 "username_password": {
441 "username": "string",
442 "password": "string"
443 }
444 }
445 },
446 "enabled_payment_methods": [
447 "string"
448 ]
449 },
450 "stripe": {
451 "public_key": "string",
452 "signing_secret": "string"
453 }
454 },
455 "e_invoicing": {
456 "mandates": [
457 {
458 "name": "string",
459 "country": "string",
460 "mappings": [
461 {
462 "target": "string",
463 "source": "string",
464 "description": "string"
465 }
466 ],
467 "condition_groups": [
468 {
469 "conditions": [
470 {
471 "field": "string",
472 "comparator_type": "EQUALS",
473 "value": "string"
474 }
475 ]
476 }
477 ],
478 "include_pdf_in_einvoice": true,
479 "supported_file_formats": [
480 {
481 "type": "string",
482 "description": "string"
483 }
484 ]
485 }
486 ],
487 "processor": "AVALARA"
488 },
489 "data_export": {
490 "variant": "S3",
491 "s3": {
492 "bucket_name": "string",
493 "bucket_path": "string",
494 "bucket_region": "string"
495 },
496 "bigquery": {
497 "project_id": "string",
498 "dataset_id": "string",
499 "dataset_location": "string",
500 "gcs_bucket_name": "string",
501 "gcs_hmac_key_access_id": "string",
502 "gcs_hmac_key_secret": "string"
503 },
504 "gcs": {
505 "bucket_region": "string",
506 "bucket_name": "string",
507 "bucket_path": "string",
508 "flattening": true
509 },
510 "snowflake": {
511 "host": "string",
512 "role": "string",
513 "warehouse": "string",
514 "database": "string",
515 "schema": "string"
516 }
517 },
518 "tax_calculation": {
519 "billing_entity_id": "string",
520 "variant": "AVATAX",
521 "ava_tax": {
522 "company_code": "string"
523 },
524 "custom_tax_codes": [
525 {
526 "field": "INVOICE_COMMITMENT",
527 "value": "string"
528 }
529 ],
530 "enable_tax_filing": true
531 },
532 "linked_resources_configurations": [
533 {
534 "resource_type": "string",
535 "link_details": [
536 {
537 "base_url": "string",
538 "custom_field_reference": "string"
539 }
540 ]
541 }
542 ],
543 "email_provider": {
544 "variant": "SYSTEM",
545 "mailgun": {
546 "domain": "string",
547 "region": "US",
548 "plan": "string"
549 },
550 "delivery_window": {
551 "type": "DAY",
552 "value": 1
553 },
554 "use_localized_templates": true
555 }
556 },
557 "store_payment_method": true,
558 "auto_charge_payment_method": true,
559 "collection_type": "LINK",
560 "link": {
561 "expiry_period": {
562 "type": "DAY",
563 "value": 1
564 }
565 },
566 "adyen": {
567 "auto_rescue": {
568 "enabled": true,
569 "period": {
570 "type": "DAY",
571 "value": 1
572 }
573 },
574 "merchant_account": "string",
575 "allowed_payment_methods": [
576 "string"
577 ]
578 }
579 },
580 "custom_redirect": {
581 "url": "string"
582 },
583 "status": "DRAFT"
584 }
585 ],
586 "pricing_plan_schedule_infos": [
587 {
588 "id": "string",
589 "pricing_plan_schedule": {
590 "object_type": "string",
591 "id": "string",
592 "type": "TRIAL",
593 "pricing_plan_subscription_id": "string",
594 "pricing_plan_id": "string",
595 "pricing_plan_version_id": "string",
596 "start_at": "2024-01-15T09:30:00Z",
597 "end_at": "2024-01-15T09:30:00Z",
598 "pricing_currency": "AED",
599 "billing_period": {
600 "type": "DAY",
601 "value": 1
602 },
603 "entitlements": [
604 {
605 "feature_id": "string",
606 "feature": {
607 "object_type": "string",
608 "id": "string",
609 "reference": "string",
610 "name": "string",
611 "description": "string",
612 "type": "SWITCH",
613 "enum_values": [
614 "string"
615 ],
616 "meter_value_calculation_id": "string",
617 "meter_value_calculation": {
618 "object_type": "string",
619 "id": "string",
620 "reference": "string",
621 "name": "string",
622 "description": "string",
623 "calculation_type": "SUM",
624 "persist": true,
625 "meter_id": "string",
626 "meter": {
627 "object_type": "string",
628 "id": "string",
629 "reference": "string",
630 "name": "string",
631 "description": "string",
632 "status": "DRAFT",
633 "meter_values": [
634 {
635 "id": "string",
636 "object": {
637 "object_type": "string",
638 "id": "string",
639 "reference": "string",
640 "name": "string",
641 "description": "string",
642 "status": "DRAFT",
643 "type": "NUMBER"
644 },
645 "required": true
646 }
647 ],
648 "meter_properties": [
649 {
650 "id": "string",
651 "object": {
652 "object_type": "string",
653 "id": "string",
654 "reference": "string",
655 "name": "string",
656 "description": "string",
657 "status": "DRAFT",
658 "type": "NUMBER",
659 "enum_values": [
660 "string"
661 ]
662 },
663 "required": true
664 }
665 ]
666 },
667 "meter_value_id": "string",
668 "meter_value": {
669 "object_type": "string",
670 "id": "string",
671 "reference": "string",
672 "name": "string",
673 "description": "string",
674 "status": "DRAFT",
675 "type": "NUMBER"
676 },
677 "meter_property_id": "string",
678 "meter_property": {
679 "object_type": "string",
680 "id": "string",
681 "reference": "string",
682 "name": "string",
683 "description": "string",
684 "status": "DRAFT",
685 "type": "NUMBER",
686 "enum_values": [
687 "string"
688 ]
689 }
690 }
691 },
692 "feature_reference": "string",
693 "override": true,
694 "number": "string",
695 "switch": true,
696 "amount": {
697 "quantity": "string",
698 "currency": "AED"
699 },
700 "enum": "string",
701 "string": "string",
702 "overwrite": true
703 }
704 ],
705 "discount": {
706 "pricing_item_configs": [
707 {
708 "ids": [
709 "string"
710 ],
711 "start_at": "2024-01-15T09:30:00Z",
712 "end_at": "2024-01-15T09:30:00Z",
713 "amount": {
714 "quantity": "string",
715 "currency": "AED"
716 },
717 "percentage": "string"
718 }
719 ],
720 "pricing_items": [
721 {
722 "ids": [
723 "string"
724 ],
725 "start_at": "2024-01-15T09:30:00Z",
726 "end_at": "2024-01-15T09:30:00Z",
727 "amount": {
728 "quantity": "string",
729 "currency": "AED"
730 },
731 "percentage": "string"
732 }
733 ],
734 "pricings": [
735 {
736 "ids": [
737 "string"
738 ],
739 "start_at": "2024-01-15T09:30:00Z",
740 "end_at": "2024-01-15T09:30:00Z",
741 "amount": {
742 "quantity": "string",
743 "currency": "AED"
744 },
745 "percentage": "string"
746 }
747 ],
748 "totals": [
749 {
750 "start_at": "string",
751 "end_at": "string",
752 "amount": {
753 "quantity": "string",
754 "currency": "AED"
755 },
756 "percentage": "string",
757 "coupon_id": "string",
758 "promotion_code_details": {
759 "promotion_code_id": "string",
760 "code": "string"
761 }
762 }
763 ],
764 "products": [
765 {
766 "ids": [
767 "string"
768 ],
769 "start_at": "string",
770 "end_at": "string",
771 "amount": {
772 "quantity": "string",
773 "currency": "AED"
774 },
775 "percentage": "string",
776 "coupon_id": "string",
777 "promotion_code_details": {
778 "promotion_code_id": "string",
779 "code": "string"
780 }
781 }
782 ],
783 "product_items": [
784 {
785 "ids": [
786 "string"
787 ],
788 "start_at": "string",
789 "end_at": "string",
790 "amount": {
791 "quantity": "string",
792 "currency": "AED"
793 },
794 "percentage": "string",
795 "coupon_id": "string",
796 "promotion_code_details": {
797 "promotion_code_id": "string",
798 "code": "string"
799 }
800 }
801 ],
802 "product_categories": [
803 {
804 "ids": [
805 "string"
806 ],
807 "start_at": "string",
808 "end_at": "string",
809 "amount": {
810 "quantity": "string",
811 "currency": "AED"
812 },
813 "percentage": "string",
814 "coupon_id": "string",
815 "promotion_code_details": {
816 "promotion_code_id": "string",
817 "code": "string"
818 }
819 }
820 ]
821 },
822 "markup": {
823 "pricing_item_configs": [
824 {
825 "ids": [
826 "string"
827 ],
828 "start_at": "2024-01-15T09:30:00Z",
829 "end_at": "2024-01-15T09:30:00Z",
830 "amount": {
831 "quantity": "string",
832 "currency": "AED"
833 },
834 "percentage": "string"
835 }
836 ]
837 },
838 "commitment": {
839 "pricing_item_configs": [
840 {
841 "ids": [
842 "string"
843 ],
844 "meter_value_calculation": {
845 "number": "string",
846 "amount": {
847 "quantity": "string",
848 "currency": "AED"
849 }
850 },
851 "start_at": "2024-01-15T09:30:00Z",
852 "end_at": "2024-01-15T09:30:00Z",
853 "amount": {
854 "quantity": "string",
855 "currency": "AED"
856 }
857 }
858 ],
859 "pricing_items": [
860 {
861 "ids": [
862 "string"
863 ],
864 "start_at": "2024-01-15T09:30:00Z",
865 "end_at": "2024-01-15T09:30:00Z",
866 "amount": {
867 "quantity": "string",
868 "currency": "AED"
869 }
870 }
871 ],
872 "pricings": [
873 {
874 "ids": [
875 "string"
876 ],
877 "start_at": "2024-01-15T09:30:00Z",
878 "end_at": "2024-01-15T09:30:00Z",
879 "amount": {
880 "quantity": "string",
881 "currency": "AED"
882 }
883 }
884 ],
885 "totals": [
886 {
887 "start_at": "2024-01-15T09:30:00Z",
888 "end_at": "2024-01-15T09:30:00Z",
889 "amount": {
890 "quantity": "string",
891 "currency": "AED"
892 }
893 }
894 ]
895 },
896 "promotion_codes": [
897 "string"
898 ],
899 "coupon_ids": [
900 "string"
901 ],
902 "coupon_discount": {
903 "pricing_item_configs": [
904 {
905 "ids": [
906 "string"
907 ],
908 "start_at": "2024-01-15T09:30:00Z",
909 "end_at": "2024-01-15T09:30:00Z",
910 "amount": {
911 "quantity": "string",
912 "currency": "AED"
913 },
914 "percentage": "string"
915 }
916 ],
917 "pricing_items": [
918 {
919 "ids": [
920 "string"
921 ],
922 "start_at": "2024-01-15T09:30:00Z",
923 "end_at": "2024-01-15T09:30:00Z",
924 "amount": {
925 "quantity": "string",
926 "currency": "AED"
927 },
928 "percentage": "string"
929 }
930 ],
931 "pricings": [
932 {
933 "ids": [
934 "string"
935 ],
936 "start_at": "2024-01-15T09:30:00Z",
937 "end_at": "2024-01-15T09:30:00Z",
938 "amount": {
939 "quantity": "string",
940 "currency": "AED"
941 },
942 "percentage": "string"
943 }
944 ],
945 "totals": [
946 {
947 "start_at": "string",
948 "end_at": "string",
949 "amount": {
950 "quantity": "string",
951 "currency": "AED"
952 },
953 "percentage": "string",
954 "coupon_id": "string",
955 "promotion_code_details": {
956 "promotion_code_id": "string",
957 "code": "string"
958 }
959 }
960 ],
961 "products": [
962 {
963 "ids": [
964 "string"
965 ],
966 "start_at": "string",
967 "end_at": "string",
968 "amount": {
969 "quantity": "string",
970 "currency": "AED"
971 },
972 "percentage": "string",
973 "coupon_id": "string",
974 "promotion_code_details": {
975 "promotion_code_id": "string",
976 "code": "string"
977 }
978 }
979 ],
980 "product_items": [
981 {
982 "ids": [
983 "string"
984 ],
985 "start_at": "string",
986 "end_at": "string",
987 "amount": {
988 "quantity": "string",
989 "currency": "AED"
990 },
991 "percentage": "string",
992 "coupon_id": "string",
993 "promotion_code_details": {
994 "promotion_code_id": "string",
995 "code": "string"
996 }
997 }
998 ],
999 "product_categories": [
1000 {
1001 "ids": [
1002 "string"
1003 ],
1004 "start_at": "string",
1005 "end_at": "string",
1006 "amount": {
1007 "quantity": "string",
1008 "currency": "AED"
1009 },
1010 "percentage": "string",
1011 "coupon_id": "string",
1012 "promotion_code_details": {
1013 "promotion_code_id": "string",
1014 "code": "string"
1015 }
1016 }
1017 ]
1018 },
1019 "seats_values": [
1020 {
1021 "pricing_item_config_id": "string",
1022 "number": "string",
1023 "amount": {
1024 "quantity": "string",
1025 "currency": "AED"
1026 },
1027 "start_at": "2024-01-15T09:30:00Z",
1028 "end_at": "string"
1029 }
1030 ],
1031 "included_volumes": [
1032 {
1033 "pricing_item_config_id": "string",
1034 "number": "string",
1035 "amount": {
1036 "quantity": "string",
1037 "currency": "AED"
1038 },
1039 "start_at": "2024-01-15T09:30:00Z",
1040 "end_at": "2024-01-15T09:30:00Z",
1041 "reset_type": "string"
1042 }
1043 ],
1044 "enabled_pricings": [
1045 {
1046 "pricing_id": "string",
1047 "start_at": "2024-01-15T09:30:00Z",
1048 "end_at": "2024-01-15T09:30:00Z"
1049 }
1050 ],
1051 "override_pricings": [
1052 {
1053 "object_type": "string",
1054 "id": "string",
1055 "pricing_plan_version_id": "string",
1056 "pricing_plan_schedule_id": "string",
1057 "pricing_group_id": "string",
1058 "original_pricing_id": "string",
1059 "original_pricing": {},
1060 "override": "ALL",
1061 "name": "string",
1062 "product_type": "DEFAULT",
1063 "product_ids": [
1064 "string"
1065 ],
1066 "display_order": 1,
1067 "products": [
1068 {
1069 "object_type": "string",
1070 "id": "string",
1071 "category_id": "string",
1072 "category": {
1073 "object_type": "string",
1074 "id": "string",
1075 "name": "string",
1076 "reference": "string",
1077 "description": "string",
1078 "tax_category": "STANDARD",
1079 "display_order": 1,
1080 "customer_id": "string"
1081 },
1082 "parent_product_id": "string",
1083 "name": "string",
1084 "reference": "string",
1085 "description": "string",
1086 "status": "DRAFT",
1087 "product_type": "DEFAULT",
1088 "tax_category": "STANDARD",
1089 "features": [
1090 {
1091 "id": "string",
1092 "reference": "string"
1093 }
1094 ],
1095 "custom_fields": [
1096 {
1097 "id": "string",
1098 "reference": "string",
1099 "value": "string",
1100 "values": [
1101 "string"
1102 ],
1103 "integration_details": {
1104 "id": "string",
1105 "reference": "string",
1106 "payment_gateway_variant": "ADYEN",
1107 "adyen": {
1108 "recurring_detail_reference": "string"
1109 },
1110 "stripe": {
1111 "payment_method_id": "string"
1112 }
1113 }
1114 }
1115 ],
1116 "display_order": 1,
1117 "linked_integrations": [
1118 {
1119 "id": "string",
1120 "link_details": [
1121 {
1122 "url": "string",
1123 "custom_field_name": "string"
1124 }
1125 ]
1126 }
1127 ],
1128 "billing_entity_id": "string",
1129 "customer_id": "string"
1130 }
1131 ],
1132 "entitlements": [
1133 {
1134 "feature_id": "string",
1135 "feature": {
1136 "object_type": "string",
1137 "id": "string",
1138 "reference": "string",
1139 "name": "string",
1140 "description": "string",
1141 "type": "SWITCH",
1142 "enum_values": [
1143 "string"
1144 ],
1145 "meter_value_calculation_id": "string",
1146 "meter_value_calculation": {
1147 "object_type": "string",
1148 "id": "string",
1149 "reference": "string",
1150 "name": "string",
1151 "description": "string",
1152 "calculation_type": "SUM",
1153 "persist": true,
1154 "meter_id": "string",
1155 "meter": {
1156 "object_type": "string",
1157 "id": "string",
1158 "reference": "string",
1159 "name": "string",
1160 "description": "string",
1161 "status": "DRAFT",
1162 "meter_values": [
1163 {
1164 "id": "string",
1165 "object": {
1166 "object_type": "string",
1167 "id": "string",
1168 "reference": "string",
1169 "name": "string",
1170 "description": "string",
1171 "status": "DRAFT",
1172 "type": "NUMBER"
1173 },
1174 "required": true
1175 }
1176 ],
1177 "meter_properties": [
1178 {
1179 "id": "string",
1180 "object": {
1181 "object_type": "string",
1182 "id": "string",
1183 "reference": "string",
1184 "name": "string",
1185 "description": "string",
1186 "status": "DRAFT",
1187 "type": "NUMBER",
1188 "enum_values": [
1189 "string"
1190 ]
1191 },
1192 "required": true
1193 }
1194 ]
1195 },
1196 "meter_value_id": "string",
1197 "meter_value": {
1198 "object_type": "string",
1199 "id": "string",
1200 "reference": "string",
1201 "name": "string",
1202 "description": "string",
1203 "status": "DRAFT",
1204 "type": "NUMBER"
1205 },
1206 "meter_property_id": "string",
1207 "meter_property": {
1208 "object_type": "string",
1209 "id": "string",
1210 "reference": "string",
1211 "name": "string",
1212 "description": "string",
1213 "status": "DRAFT",
1214 "type": "NUMBER",
1215 "enum_values": [
1216 "string"
1217 ]
1218 }
1219 }
1220 },
1221 "feature_reference": "string",
1222 "override": true,
1223 "number": "string",
1224 "switch": true,
1225 "amount": {
1226 "quantity": "string",
1227 "currency": "AED"
1228 },
1229 "enum": "string",
1230 "string": "string",
1231 "overwrite": true
1232 }
1233 ],
1234 "items": [
1235 {
1236 "object_type": "string",
1237 "id": "string",
1238 "original_pricing_item_id": "string",
1239 "original_pricing_item": {},
1240 "override": "ALL",
1241 "product_item_ids": [
1242 "string"
1243 ],
1244 "product_items": [
1245 {
1246 "object_type": "string",
1247 "id": "string",
1248 "product_id": "string",
1249 "product": {
1250 "object_type": "string",
1251 "id": "string",
1252 "category_id": "string",
1253 "category": {
1254 "object_type": "string",
1255 "id": "string",
1256 "name": "string",
1257 "reference": "string",
1258 "description": "string",
1259 "tax_category": "STANDARD",
1260 "display_order": 1,
1261 "customer_id": "string"
1262 },
1263 "parent_product_id": "string",
1264 "name": "string",
1265 "reference": "string",
1266 "description": "string",
1267 "status": "DRAFT",
1268 "product_type": "DEFAULT",
1269 "tax_category": "STANDARD",
1270 "features": [
1271 {
1272 "id": "string",
1273 "reference": "string"
1274 }
1275 ],
1276 "custom_fields": [
1277 {
1278 "id": "string",
1279 "reference": "string",
1280 "value": "string",
1281 "values": [
1282 "string"
1283 ],
1284 "integration_details": {
1285 "id": "string",
1286 "reference": "string",
1287 "payment_gateway_variant": "ADYEN",
1288 "adyen": {
1289 "recurring_detail_reference": "string"
1290 },
1291 "stripe": {
1292 "payment_method_id": "string"
1293 }
1294 }
1295 }
1296 ],
1297 "display_order": 1,
1298 "linked_integrations": [
1299 {
1300 "id": "string",
1301 "link_details": [
1302 {
1303 "url": "string",
1304 "custom_field_name": "string"
1305 }
1306 ]
1307 }
1308 ],
1309 "billing_entity_id": "string",
1310 "customer_id": "string"
1311 },
1312 "name": "string",
1313 "status": "DRAFT",
1314 "reference": "string",
1315 "description": "string",
1316 "type": "REVENUE",
1317 "model_type": "USAGE_BASED",
1318 "usage_based": {
1319 "meter_value_calculation_id": "string",
1320 "meter_value_calculation": {
1321 "object_type": "string",
1322 "id": "string",
1323 "reference": "string",
1324 "name": "string",
1325 "description": "string",
1326 "calculation_type": "SUM",
1327 "persist": true,
1328 "meter_id": "string",
1329 "meter": {
1330 "object_type": "string",
1331 "id": "string",
1332 "reference": "string",
1333 "name": "string",
1334 "description": "string",
1335 "status": "DRAFT",
1336 "meter_values": [
1337 {
1338 "id": "string",
1339 "object": {
1340 "object_type": "string",
1341 "id": "string",
1342 "reference": "string",
1343 "name": "string",
1344 "description": "string",
1345 "status": "DRAFT",
1346 "type": "NUMBER"
1347 },
1348 "required": true
1349 }
1350 ],
1351 "meter_properties": [
1352 {
1353 "id": "string",
1354 "object": {
1355 "object_type": "string",
1356 "id": "string",
1357 "reference": "string",
1358 "name": "string",
1359 "description": "string",
1360 "status": "DRAFT",
1361 "type": "NUMBER",
1362 "enum_values": [
1363 "string"
1364 ]
1365 },
1366 "required": true
1367 }
1368 ]
1369 },
1370 "meter_value_id": "string",
1371 "meter_value": {
1372 "object_type": "string",
1373 "id": "string",
1374 "reference": "string",
1375 "name": "string",
1376 "description": "string",
1377 "status": "DRAFT",
1378 "type": "NUMBER"
1379 },
1380 "meter_property_id": "string",
1381 "meter_property": {
1382 "object_type": "string",
1383 "id": "string",
1384 "reference": "string",
1385 "name": "string",
1386 "description": "string",
1387 "status": "DRAFT",
1388 "type": "NUMBER",
1389 "enum_values": [
1390 "string"
1391 ]
1392 }
1393 },
1394 "tiering_meter_value_calculation_id": "string",
1395 "tiering_meter_value_calculation": {
1396 "object_type": "string",
1397 "id": "string",
1398 "reference": "string",
1399 "name": "string",
1400 "description": "string",
1401 "calculation_type": "SUM",
1402 "persist": true,
1403 "meter_id": "string",
1404 "meter": {
1405 "object_type": "string",
1406 "id": "string",
1407 "reference": "string",
1408 "name": "string",
1409 "description": "string",
1410 "status": "DRAFT",
1411 "meter_values": [
1412 {
1413 "id": "string",
1414 "object": {
1415 "object_type": "string",
1416 "id": "string",
1417 "reference": "string",
1418 "name": "string",
1419 "description": "string",
1420 "status": "DRAFT",
1421 "type": "NUMBER"
1422 },
1423 "required": true
1424 }
1425 ],
1426 "meter_properties": [
1427 {
1428 "id": "string",
1429 "object": {
1430 "object_type": "string",
1431 "id": "string",
1432 "reference": "string",
1433 "name": "string",
1434 "description": "string",
1435 "status": "DRAFT",
1436 "type": "NUMBER",
1437 "enum_values": [
1438 "string"
1439 ]
1440 },
1441 "required": true
1442 }
1443 ]
1444 },
1445 "meter_value_id": "string",
1446 "meter_value": {
1447 "object_type": "string",
1448 "id": "string",
1449 "reference": "string",
1450 "name": "string",
1451 "description": "string",
1452 "status": "DRAFT",
1453 "type": "NUMBER"
1454 },
1455 "meter_property_id": "string",
1456 "meter_property": {
1457 "object_type": "string",
1458 "id": "string",
1459 "reference": "string",
1460 "name": "string",
1461 "description": "string",
1462 "status": "DRAFT",
1463 "type": "NUMBER",
1464 "enum_values": [
1465 "string"
1466 ]
1467 }
1468 },
1469 "report_meter_value_calculation_ids": [
1470 "string"
1471 ],
1472 "conditions": {
1473 "name": "string",
1474 "expression": {
1475 "operator": "AND",
1476 "operands": [
1477 {
1478 "meter_property": {
1479 "id": "string",
1480 "reference": "string",
1481 "meter_property": {
1482 "object_type": "string",
1483 "id": "string",
1484 "reference": "string",
1485 "name": "string",
1486 "description": "string",
1487 "status": "DRAFT",
1488 "type": "NUMBER",
1489 "enum_values": [
1490 "string"
1491 ]
1492 },
1493 "value": "string",
1494 "values": [
1495 "string"
1496 ],
1497 "comparator": "EQUALS"
1498 },
1499 "expression": {}
1500 }
1501 ]
1502 },
1503 "meter_properties": [
1504 {
1505 "id": "string",
1506 "reference": "string",
1507 "meter_property": {
1508 "object_type": "string",
1509 "id": "string",
1510 "reference": "string",
1511 "name": "string",
1512 "description": "string",
1513 "status": "DRAFT",
1514 "type": "NUMBER",
1515 "enum_values": [
1516 "string"
1517 ]
1518 },
1519 "value": "string",
1520 "values": [
1521 "string"
1522 ],
1523 "comparator": "EQUALS"
1524 }
1525 ]
1526 }
1527 },
1528 "credits": {
1529 "credit_type_id": "string",
1530 "credit_type": {
1531 "object_type": "string",
1532 "id": "string",
1533 "reference": "string",
1534 "status": "DRAFT",
1535 "name": "string",
1536 "description": "string",
1537 "unit_name": {
1538 "singular": "string",
1539 "plural": "string"
1540 },
1541 "created_at": "string",
1542 "updated_at": "string"
1543 }
1544 },
1545 "meter_value_calculation": {
1546 "object_type": "string",
1547 "id": "string",
1548 "reference": "string",
1549 "name": "string",
1550 "description": "string",
1551 "calculation_type": "SUM",
1552 "persist": true,
1553 "meter_id": "string",
1554 "meter": {
1555 "object_type": "string",
1556 "id": "string",
1557 "reference": "string",
1558 "name": "string",
1559 "description": "string",
1560 "status": "DRAFT",
1561 "meter_values": [
1562 {
1563 "id": "string",
1564 "object": {
1565 "object_type": "string",
1566 "id": "string",
1567 "reference": "string",
1568 "name": "string",
1569 "description": "string",
1570 "status": "DRAFT",
1571 "type": "NUMBER"
1572 },
1573 "required": true
1574 }
1575 ],
1576 "meter_properties": [
1577 {
1578 "id": "string",
1579 "object": {
1580 "object_type": "string",
1581 "id": "string",
1582 "reference": "string",
1583 "name": "string",
1584 "description": "string",
1585 "status": "DRAFT",
1586 "type": "NUMBER",
1587 "enum_values": [
1588 "string"
1589 ]
1590 },
1591 "required": true
1592 }
1593 ]
1594 },
1595 "meter_value_id": "string",
1596 "meter_value": {
1597 "object_type": "string",
1598 "id": "string",
1599 "reference": "string",
1600 "name": "string",
1601 "description": "string",
1602 "status": "DRAFT",
1603 "type": "NUMBER"
1604 },
1605 "meter_property_id": "string",
1606 "meter_property": {
1607 "object_type": "string",
1608 "id": "string",
1609 "reference": "string",
1610 "name": "string",
1611 "description": "string",
1612 "status": "DRAFT",
1613 "type": "NUMBER",
1614 "enum_values": [
1615 "string"
1616 ]
1617 }
1618 },
1619 "tax_category": "STANDARD",
1620 "display_order": 1,
1621 "unit_name": {
1622 "singular": "string",
1623 "plural": "string"
1624 },
1625 "custom_fields": [
1626 {
1627 "id": "string",
1628 "reference": "string",
1629 "value": "string",
1630 "values": [
1631 "string"
1632 ],
1633 "integration_details": {
1634 "id": "string",
1635 "reference": "string",
1636 "payment_gateway_variant": "ADYEN",
1637 "adyen": {
1638 "recurring_detail_reference": "string"
1639 },
1640 "stripe": {
1641 "payment_method_id": "string"
1642 }
1643 }
1644 }
1645 ],
1646 "customer_id": "string",
1647 "meter_value_calculation_id": "string",
1648 "report_meter_value_calculation_ids": [
1649 "string"
1650 ]
1651 }
1652 ],
1653 "configs": [
1654 {
1655 "object_type": "string",
1656 "id": "string",
1657 "original_pricing_item_config_id": "string",
1658 "original_pricing_item_config": {},
1659 "details": {
1660 "billing_period": {
1661 "type": "DAY",
1662 "value": 1
1663 },
1664 "pricing_type": "FLAT",
1665 "pricing_period": {
1666 "type": "DAY",
1667 "value": 1
1668 },
1669 "bands": [
1670 {
1671 "amount": {
1672 "quantity": "string",
1673 "currency": "AED"
1674 },
1675 "percentage": "string",
1676 "credits": {
1677 "quantity": "string",
1678 "credit_type_id": "string"
1679 },
1680 "fixed_amount": {
1681 "quantity": "string",
1682 "currency": "AED"
1683 },
1684 "maximum_amount": {
1685 "quantity": "string",
1686 "currency": "AED"
1687 },
1688 "minimum_amount": {
1689 "quantity": "string",
1690 "currency": "AED"
1691 },
1692 "maximum_number": "string",
1693 "minimum_number": "string",
1694 "block_size": {
1695 "number": "string",
1696 "amount": {
1697 "quantity": "string",
1698 "currency": "AED"
1699 },
1700 "count": "string"
1701 },
1702 "tier_top_bound": {
1703 "number": "string",
1704 "amount": {
1705 "quantity": "string",
1706 "currency": "AED"
1707 },
1708 "count": "string"
1709 }
1710 }
1711 ]
1712 },
1713 "billing_period": {
1714 "type": "DAY",
1715 "value": 1
1716 },
1717 "pricing_period": {
1718 "type": "DAY",
1719 "value": 1
1720 },
1721 "default_included_volume": {
1722 "number": "string",
1723 "amount": {
1724 "quantity": "string",
1725 "currency": "AED"
1726 },
1727 "count": "string",
1728 "reset_type": "string"
1729 },
1730 "default_seats_value": {
1731 "number": "string",
1732 "amount": {
1733 "quantity": "string",
1734 "currency": "AED"
1735 },
1736 "count": "string"
1737 },
1738 "conditions": {
1739 "name": "string",
1740 "meter_properties": [
1741 {
1742 "id": "string",
1743 "reference": "string",
1744 "meter_property": {
1745 "object_type": "string",
1746 "id": "string",
1747 "reference": "string",
1748 "name": "string",
1749 "description": "string",
1750 "status": "DRAFT",
1751 "type": "NUMBER",
1752 "enum_values": [
1753 "string"
1754 ]
1755 },
1756 "value": "string",
1757 "values": [
1758 "string"
1759 ],
1760 "comparator": "EQUALS"
1761 }
1762 ],
1763 "configs": [
1764 {}
1765 ]
1766 },
1767 "order": 1,
1768 "billing_in_advance": true,
1769 "volume_group_reference": "string",
1770 "top_up": {
1771 "rollover": true
1772 },
1773 "split_pricing": {
1774 "meter_properties": [
1775 {
1776 "id": "string",
1777 "reference": "string",
1778 "value": "string",
1779 "meter_property": {
1780 "object_type": "string",
1781 "id": "string",
1782 "reference": "string",
1783 "name": "string",
1784 "description": "string",
1785 "status": "DRAFT",
1786 "type": "NUMBER",
1787 "enum_values": [
1788 "string"
1789 ]
1790 }
1791 }
1792 ]
1793 },
1794 "on_demand": true,
1795 "wallet_grants": [
1796 {
1797 "wallet_type_id": "string",
1798 "wallet_type": {
1799 "object_type": "string",
1800 "id": "string",
1801 "name": "string",
1802 "reference": "string",
1803 "status": "DRAFT",
1804 "type": "CREDIT",
1805 "credit": {
1806 "grant_type": "CREDITS",
1807 "amount_grant": {
1808 "default_currency": "AED",
1809 "tax_category": "STANDARD"
1810 },
1811 "credits_grant": {
1812 "credit_type_id": "string"
1813 }
1814 },
1815 "balance": {
1816 "default_currency": "string"
1817 },
1818 "created_at": "string",
1819 "updated_at": "string"
1820 },
1821 "amount_grant": {
1822 "amount": {
1823 "quantity": "string",
1824 "currency": "AED"
1825 },
1826 "percentage": "string"
1827 },
1828 "credits_grant": {
1829 "credits": {
1830 "quantity": "string",
1831 "credit_type_id": "string"
1832 },
1833 "conversion": "string"
1834 },
1835 "expiry_policy": {
1836 "expiry_period": {
1837 "type": "DAY",
1838 "value": 1
1839 }
1840 }
1841 }
1842 ],
1843 "type": "FLAT",
1844 "pricing_type": "FLAT",
1845 "bands": [
1846 {
1847 "amount": {
1848 "quantity": "string",
1849 "currency": "AED"
1850 },
1851 "percentage": "string",
1852 "credits": {
1853 "quantity": "string",
1854 "credit_type_id": "string"
1855 },
1856 "fixed_amount": {
1857 "quantity": "string",
1858 "currency": "AED"
1859 },
1860 "maximum_amount": {
1861 "quantity": "string",
1862 "currency": "AED"
1863 },
1864 "minimum_amount": {
1865 "quantity": "string",
1866 "currency": "AED"
1867 },
1868 "maximum_number": "string",
1869 "minimum_number": "string",
1870 "block_size": {
1871 "number": "string",
1872 "amount": {
1873 "quantity": "string",
1874 "currency": "AED"
1875 },
1876 "count": "string"
1877 },
1878 "tier_top_bound": {
1879 "number": "string",
1880 "amount": {
1881 "quantity": "string",
1882 "currency": "AED"
1883 },
1884 "count": "string"
1885 }
1886 }
1887 ]
1888 }
1889 ],
1890 "pricing_currency_configs": [
1891 {
1892 "currency": "AED",
1893 "configs": [
1894 {
1895 "object_type": "string",
1896 "id": "string",
1897 "original_pricing_item_config_id": "string",
1898 "original_pricing_item_config": {},
1899 "details": {
1900 "billing_period": {
1901 "type": "DAY",
1902 "value": 1
1903 },
1904 "pricing_type": "FLAT",
1905 "pricing_period": {
1906 "type": "DAY",
1907 "value": 1
1908 },
1909 "bands": [
1910 {
1911 "amount": {
1912 "quantity": "string",
1913 "currency": "AED"
1914 },
1915 "percentage": "string",
1916 "credits": {
1917 "quantity": "string",
1918 "credit_type_id": "string"
1919 },
1920 "fixed_amount": {
1921 "quantity": "string",
1922 "currency": "AED"
1923 },
1924 "maximum_amount": {
1925 "quantity": "string",
1926 "currency": "AED"
1927 },
1928 "minimum_amount": {
1929 "quantity": "string",
1930 "currency": "AED"
1931 },
1932 "maximum_number": "string",
1933 "minimum_number": "string",
1934 "block_size": {
1935 "number": "string",
1936 "amount": {
1937 "quantity": "string",
1938 "currency": "AED"
1939 },
1940 "count": "string"
1941 },
1942 "tier_top_bound": {
1943 "number": "string",
1944 "amount": {
1945 "quantity": "string",
1946 "currency": "AED"
1947 },
1948 "count": "string"
1949 }
1950 }
1951 ]
1952 },
1953 "billing_period": {
1954 "type": "DAY",
1955 "value": 1
1956 },
1957 "pricing_period": {
1958 "type": "DAY",
1959 "value": 1
1960 },
1961 "default_included_volume": {
1962 "number": "string",
1963 "amount": {
1964 "quantity": "string",
1965 "currency": "AED"
1966 },
1967 "count": "string",
1968 "reset_type": "string"
1969 },
1970 "default_seats_value": {
1971 "number": "string",
1972 "amount": {
1973 "quantity": "string",
1974 "currency": "AED"
1975 },
1976 "count": "string"
1977 },
1978 "conditions": {
1979 "name": "string",
1980 "meter_properties": [
1981 {
1982 "id": "string",
1983 "reference": "string",
1984 "meter_property": {
1985 "object_type": "string",
1986 "id": "string",
1987 "reference": "string",
1988 "name": "string",
1989 "description": "string",
1990 "status": "DRAFT",
1991 "type": "NUMBER",
1992 "enum_values": [
1993 "string"
1994 ]
1995 },
1996 "value": "string",
1997 "values": [
1998 "string"
1999 ],
2000 "comparator": "EQUALS"
2001 }
2002 ],
2003 "configs": [
2004 {}
2005 ]
2006 },
2007 "order": 1,
2008 "billing_in_advance": true,
2009 "volume_group_reference": "string",
2010 "top_up": {
2011 "rollover": true
2012 },
2013 "split_pricing": {
2014 "meter_properties": [
2015 {
2016 "id": "string",
2017 "reference": "string",
2018 "value": "string",
2019 "meter_property": {
2020 "object_type": "string",
2021 "id": "string",
2022 "reference": "string",
2023 "name": "string",
2024 "description": "string",
2025 "status": "DRAFT",
2026 "type": "NUMBER",
2027 "enum_values": [
2028 "string"
2029 ]
2030 }
2031 }
2032 ]
2033 },
2034 "on_demand": true,
2035 "wallet_grants": [
2036 {
2037 "wallet_type_id": "string",
2038 "wallet_type": {
2039 "object_type": "string",
2040 "id": "string",
2041 "name": "string",
2042 "reference": "string",
2043 "status": "DRAFT",
2044 "type": "CREDIT",
2045 "credit": {
2046 "grant_type": "CREDITS",
2047 "amount_grant": {
2048 "default_currency": "AED",
2049 "tax_category": "STANDARD"
2050 },
2051 "credits_grant": {
2052 "credit_type_id": "string"
2053 }
2054 },
2055 "balance": {
2056 "default_currency": "string"
2057 },
2058 "created_at": "string",
2059 "updated_at": "string"
2060 },
2061 "amount_grant": {
2062 "amount": {
2063 "quantity": "string",
2064 "currency": "AED"
2065 },
2066 "percentage": "string"
2067 },
2068 "credits_grant": {
2069 "credits": {
2070 "quantity": "string",
2071 "credit_type_id": "string"
2072 },
2073 "conversion": "string"
2074 },
2075 "expiry_policy": {
2076 "expiry_period": {
2077 "type": "DAY",
2078 "value": 1
2079 }
2080 }
2081 }
2082 ],
2083 "type": "FLAT",
2084 "pricing_type": "FLAT",
2085 "bands": [
2086 {
2087 "amount": {
2088 "quantity": "string",
2089 "currency": "AED"
2090 },
2091 "percentage": "string",
2092 "credits": {
2093 "quantity": "string",
2094 "credit_type_id": "string"
2095 },
2096 "fixed_amount": {
2097 "quantity": "string",
2098 "currency": "AED"
2099 },
2100 "maximum_amount": {
2101 "quantity": "string",
2102 "currency": "AED"
2103 },
2104 "minimum_amount": {
2105 "quantity": "string",
2106 "currency": "AED"
2107 },
2108 "maximum_number": "string",
2109 "minimum_number": "string",
2110 "block_size": {
2111 "number": "string",
2112 "amount": {
2113 "quantity": "string",
2114 "currency": "AED"
2115 },
2116 "count": "string"
2117 },
2118 "tier_top_bound": {
2119 "number": "string",
2120 "amount": {
2121 "quantity": "string",
2122 "currency": "AED"
2123 },
2124 "count": "string"
2125 }
2126 }
2127 ]
2128 }
2129 ],
2130 "billing_period_configs": [
2131 {
2132 "billing_period": {
2133 "type": "DAY",
2134 "value": 1
2135 },
2136 "configs": [
2137 {
2138 "object_type": "string",
2139 "id": "string",
2140 "original_pricing_item_config_id": "string",
2141 "original_pricing_item_config": {},
2142 "details": {
2143 "billing_period": {
2144 "type": "DAY",
2145 "value": 1
2146 },
2147 "pricing_type": "FLAT",
2148 "pricing_period": {
2149 "type": "DAY",
2150 "value": 1
2151 },
2152 "bands": [
2153 {
2154 "amount": {
2155 "quantity": "string",
2156 "currency": "AED"
2157 },
2158 "percentage": "string",
2159 "credits": {
2160 "quantity": "string",
2161 "credit_type_id": "string"
2162 },
2163 "fixed_amount": {
2164 "quantity": "string",
2165 "currency": "AED"
2166 },
2167 "maximum_amount": {
2168 "quantity": "string",
2169 "currency": "AED"
2170 },
2171 "minimum_amount": {
2172 "quantity": "string",
2173 "currency": "AED"
2174 },
2175 "maximum_number": "string",
2176 "minimum_number": "string",
2177 "block_size": {
2178 "number": "string",
2179 "amount": {
2180 "quantity": "string",
2181 "currency": "AED"
2182 },
2183 "count": "string"
2184 },
2185 "tier_top_bound": {
2186 "number": "string",
2187 "amount": {
2188 "quantity": "string",
2189 "currency": "AED"
2190 },
2191 "count": "string"
2192 }
2193 }
2194 ]
2195 },
2196 "billing_period": {
2197 "type": "DAY",
2198 "value": 1
2199 },
2200 "pricing_period": {
2201 "type": "DAY",
2202 "value": 1
2203 },
2204 "default_included_volume": {
2205 "number": "string",
2206 "amount": {
2207 "quantity": "string",
2208 "currency": "AED"
2209 },
2210 "count": "string",
2211 "reset_type": "string"
2212 },
2213 "default_seats_value": {
2214 "number": "string",
2215 "amount": {
2216 "quantity": "string",
2217 "currency": "AED"
2218 },
2219 "count": "string"
2220 },
2221 "conditions": {
2222 "name": "string",
2223 "meter_properties": [
2224 {
2225 "id": "string",
2226 "reference": "string",
2227 "meter_property": {
2228 "object_type": "string",
2229 "id": "string",
2230 "reference": "string",
2231 "name": "string",
2232 "description": "string",
2233 "status": "DRAFT",
2234 "type": "NUMBER",
2235 "enum_values": [
2236 "string"
2237 ]
2238 },
2239 "value": "string",
2240 "values": [
2241 "string"
2242 ],
2243 "comparator": "EQUALS"
2244 }
2245 ],
2246 "configs": [
2247 {}
2248 ]
2249 },
2250 "order": 1,
2251 "billing_in_advance": true,
2252 "volume_group_reference": "string",
2253 "top_up": {
2254 "rollover": true
2255 },
2256 "split_pricing": {
2257 "meter_properties": [
2258 {
2259 "id": "string",
2260 "reference": "string",
2261 "value": "string",
2262 "meter_property": {
2263 "object_type": "string",
2264 "id": "string",
2265 "reference": "string",
2266 "name": "string",
2267 "description": "string",
2268 "status": "DRAFT",
2269 "type": "NUMBER",
2270 "enum_values": [
2271 "string"
2272 ]
2273 }
2274 }
2275 ]
2276 },
2277 "on_demand": true,
2278 "wallet_grants": [
2279 {
2280 "wallet_type_id": "string",
2281 "wallet_type": {
2282 "object_type": "string",
2283 "id": "string",
2284 "name": "string",
2285 "reference": "string",
2286 "status": "DRAFT",
2287 "type": "CREDIT",
2288 "credit": {
2289 "grant_type": "CREDITS",
2290 "amount_grant": {
2291 "default_currency": "AED",
2292 "tax_category": "STANDARD"
2293 },
2294 "credits_grant": {
2295 "credit_type_id": "string"
2296 }
2297 },
2298 "balance": {
2299 "default_currency": "string"
2300 },
2301 "created_at": "string",
2302 "updated_at": "string"
2303 },
2304 "amount_grant": {
2305 "amount": {
2306 "quantity": "string",
2307 "currency": "AED"
2308 },
2309 "percentage": "string"
2310 },
2311 "credits_grant": {
2312 "credits": {
2313 "quantity": "string",
2314 "credit_type_id": "string"
2315 },
2316 "conversion": "string"
2317 },
2318 "expiry_policy": {
2319 "expiry_period": {
2320 "type": "DAY",
2321 "value": 1
2322 }
2323 }
2324 }
2325 ],
2326 "type": "FLAT",
2327 "pricing_type": "FLAT",
2328 "bands": [
2329 {
2330 "amount": {
2331 "quantity": "string",
2332 "currency": "AED"
2333 },
2334 "percentage": "string",
2335 "credits": {
2336 "quantity": "string",
2337 "credit_type_id": "string"
2338 },
2339 "fixed_amount": {
2340 "quantity": "string",
2341 "currency": "AED"
2342 },
2343 "maximum_amount": {
2344 "quantity": "string",
2345 "currency": "AED"
2346 },
2347 "minimum_amount": {
2348 "quantity": "string",
2349 "currency": "AED"
2350 },
2351 "maximum_number": "string",
2352 "minimum_number": "string",
2353 "block_size": {
2354 "number": "string",
2355 "amount": {
2356 "quantity": "string",
2357 "currency": "AED"
2358 },
2359 "count": "string"
2360 },
2361 "tier_top_bound": {
2362 "number": "string",
2363 "amount": {
2364 "quantity": "string",
2365 "currency": "AED"
2366 },
2367 "count": "string"
2368 }
2369 }
2370 ]
2371 }
2372 ]
2373 }
2374 ],
2375 "fallback_currency": "AED"
2376 }
2377 ],
2378 "billing_period_configs": [
2379 {
2380 "billing_period": {
2381 "type": "DAY",
2382 "value": 1
2383 },
2384 "configs": [
2385 {
2386 "object_type": "string",
2387 "id": "string",
2388 "original_pricing_item_config_id": "string",
2389 "original_pricing_item_config": {},
2390 "details": {
2391 "billing_period": {
2392 "type": "DAY",
2393 "value": 1
2394 },
2395 "pricing_type": "FLAT",
2396 "pricing_period": {
2397 "type": "DAY",
2398 "value": 1
2399 },
2400 "bands": [
2401 {
2402 "amount": {
2403 "quantity": "string",
2404 "currency": "AED"
2405 },
2406 "percentage": "string",
2407 "credits": {
2408 "quantity": "string",
2409 "credit_type_id": "string"
2410 },
2411 "fixed_amount": {
2412 "quantity": "string",
2413 "currency": "AED"
2414 },
2415 "maximum_amount": {
2416 "quantity": "string",
2417 "currency": "AED"
2418 },
2419 "minimum_amount": {
2420 "quantity": "string",
2421 "currency": "AED"
2422 },
2423 "maximum_number": "string",
2424 "minimum_number": "string",
2425 "block_size": {
2426 "number": "string",
2427 "amount": {
2428 "quantity": "string",
2429 "currency": "AED"
2430 },
2431 "count": "string"
2432 },
2433 "tier_top_bound": {
2434 "number": "string",
2435 "amount": {
2436 "quantity": "string",
2437 "currency": "AED"
2438 },
2439 "count": "string"
2440 }
2441 }
2442 ]
2443 },
2444 "billing_period": {
2445 "type": "DAY",
2446 "value": 1
2447 },
2448 "pricing_period": {
2449 "type": "DAY",
2450 "value": 1
2451 },
2452 "default_included_volume": {
2453 "number": "string",
2454 "amount": {
2455 "quantity": "string",
2456 "currency": "AED"
2457 },
2458 "count": "string",
2459 "reset_type": "string"
2460 },
2461 "default_seats_value": {
2462 "number": "string",
2463 "amount": {
2464 "quantity": "string",
2465 "currency": "AED"
2466 },
2467 "count": "string"
2468 },
2469 "conditions": {
2470 "name": "string",
2471 "meter_properties": [
2472 {
2473 "id": "string",
2474 "reference": "string",
2475 "meter_property": {
2476 "object_type": "string",
2477 "id": "string",
2478 "reference": "string",
2479 "name": "string",
2480 "description": "string",
2481 "status": "DRAFT",
2482 "type": "NUMBER",
2483 "enum_values": [
2484 "string"
2485 ]
2486 },
2487 "value": "string",
2488 "values": [
2489 "string"
2490 ],
2491 "comparator": "EQUALS"
2492 }
2493 ],
2494 "configs": [
2495 {}
2496 ]
2497 },
2498 "order": 1,
2499 "billing_in_advance": true,
2500 "volume_group_reference": "string",
2501 "top_up": {
2502 "rollover": true
2503 },
2504 "split_pricing": {
2505 "meter_properties": [
2506 {
2507 "id": "string",
2508 "reference": "string",
2509 "value": "string",
2510 "meter_property": {
2511 "object_type": "string",
2512 "id": "string",
2513 "reference": "string",
2514 "name": "string",
2515 "description": "string",
2516 "status": "DRAFT",
2517 "type": "NUMBER",
2518 "enum_values": [
2519 "string"
2520 ]
2521 }
2522 }
2523 ]
2524 },
2525 "on_demand": true,
2526 "wallet_grants": [
2527 {
2528 "wallet_type_id": "string",
2529 "wallet_type": {
2530 "object_type": "string",
2531 "id": "string",
2532 "name": "string",
2533 "reference": "string",
2534 "status": "DRAFT",
2535 "type": "CREDIT",
2536 "credit": {
2537 "grant_type": "CREDITS",
2538 "amount_grant": {
2539 "default_currency": "AED",
2540 "tax_category": "STANDARD"
2541 },
2542 "credits_grant": {
2543 "credit_type_id": "string"
2544 }
2545 },
2546 "balance": {
2547 "default_currency": "string"
2548 },
2549 "created_at": "string",
2550 "updated_at": "string"
2551 },
2552 "amount_grant": {
2553 "amount": {
2554 "quantity": "string",
2555 "currency": "AED"
2556 },
2557 "percentage": "string"
2558 },
2559 "credits_grant": {
2560 "credits": {
2561 "quantity": "string",
2562 "credit_type_id": "string"
2563 },
2564 "conversion": "string"
2565 },
2566 "expiry_policy": {
2567 "expiry_period": {
2568 "type": "DAY",
2569 "value": 1
2570 }
2571 }
2572 }
2573 ],
2574 "type": "FLAT",
2575 "pricing_type": "FLAT",
2576 "bands": [
2577 {
2578 "amount": {
2579 "quantity": "string",
2580 "currency": "AED"
2581 },
2582 "percentage": "string",
2583 "credits": {
2584 "quantity": "string",
2585 "credit_type_id": "string"
2586 },
2587 "fixed_amount": {
2588 "quantity": "string",
2589 "currency": "AED"
2590 },
2591 "maximum_amount": {
2592 "quantity": "string",
2593 "currency": "AED"
2594 },
2595 "minimum_amount": {
2596 "quantity": "string",
2597 "currency": "AED"
2598 },
2599 "maximum_number": "string",
2600 "minimum_number": "string",
2601 "block_size": {
2602 "number": "string",
2603 "amount": {
2604 "quantity": "string",
2605 "currency": "AED"
2606 },
2607 "count": "string"
2608 },
2609 "tier_top_bound": {
2610 "number": "string",
2611 "amount": {
2612 "quantity": "string",
2613 "currency": "AED"
2614 },
2615 "count": "string"
2616 }
2617 }
2618 ]
2619 }
2620 ]
2621 }
2622 ],
2623 "display_order": 1
2624 }
2625 ]
2626 }
2627 ],
2628 "combined_pricing_plan_version": {
2629 "object_type": "string",
2630 "id": "string",
2631 "pricing_plan_id": "string",
2632 "pricing_plan": {
2633 "object_type": "string",
2634 "id": "string",
2635 "reference": "string",
2636 "name": "string",
2637 "description": "string",
2638 "customer_id": "string",
2639 "type": "STANDARD",
2640 "amount_type": "EXCLUDING_TAX",
2641 "pricing_plan_version_infos": [
2642 {
2643 "version": 1,
2644 "id": "string",
2645 "status": "string",
2646 "rate_card": {
2647 "start_at": "2024-01-15T09:30:00Z"
2648 }
2649 }
2650 ],
2651 "pricing_plan_selection_rules": [
2652 {
2653 "type": "RESOURCE",
2654 "resource": {
2655 "type": "PLATFORM",
2656 "field": "COUNTRY",
2657 "value": "string",
2658 "values": [
2659 "string"
2660 ],
2661 "comparator": "EQUALS"
2662 }
2663 }
2664 ],
2665 "pricing_currencies": [
2666 "AED"
2667 ],
2668 "variant": "DEFAULT"
2669 },
2670 "version": 1,
2671 "status": "DRAFT",
2672 "pricing_currency_settings": {
2673 "default_pricing_currency": "string",
2674 "pricing_currencies": [
2675 "string"
2676 ]
2677 },
2678 "billing_period_settings": {
2679 "billing_periods": [
2680 {
2681 "period": {
2682 "type": "DAY",
2683 "value": 1
2684 },
2685 "description": "string"
2686 }
2687 ]
2688 },
2689 "copied_from_pricing_plan_version_id": "string",
2690 "pricing_categories": [
2691 {
2692 "object_type": "string",
2693 "id": "string",
2694 "product_category_id": "string",
2695 "product_category": {
2696 "object_type": "string",
2697 "id": "string",
2698 "name": "string",
2699 "reference": "string",
2700 "description": "string",
2701 "tax_category": "STANDARD",
2702 "display_order": 1,
2703 "customer_id": "string"
2704 },
2705 "pricings": [
2706 {
2707 "object_type": "string",
2708 "id": "string",
2709 "pricing_plan_version_id": "string",
2710 "pricing_plan_schedule_id": "string",
2711 "pricing_group_id": "string",
2712 "original_pricing_id": "string",
2713 "original_pricing": {},
2714 "override": "ALL",
2715 "name": "string",
2716 "product_type": "DEFAULT",
2717 "product_ids": [
2718 "string"
2719 ],
2720 "display_order": 1,
2721 "products": [
2722 {
2723 "object_type": "string",
2724 "id": "string",
2725 "category_id": "string",
2726 "category": {
2727 "object_type": "string",
2728 "id": "string",
2729 "name": "string",
2730 "reference": "string",
2731 "description": "string",
2732 "tax_category": "STANDARD",
2733 "display_order": 1,
2734 "customer_id": "string"
2735 },
2736 "parent_product_id": "string",
2737 "name": "string",
2738 "reference": "string",
2739 "description": "string",
2740 "status": "DRAFT",
2741 "product_type": "DEFAULT",
2742 "tax_category": "STANDARD",
2743 "features": [
2744 {
2745 "id": "string",
2746 "reference": "string"
2747 }
2748 ],
2749 "custom_fields": [
2750 {
2751 "id": "string",
2752 "reference": "string",
2753 "value": "string",
2754 "values": [
2755 "string"
2756 ],
2757 "integration_details": {
2758 "id": "string",
2759 "reference": "string",
2760 "payment_gateway_variant": "ADYEN",
2761 "adyen": {
2762 "recurring_detail_reference": "string"
2763 },
2764 "stripe": {
2765 "payment_method_id": "string"
2766 }
2767 }
2768 }
2769 ],
2770 "display_order": 1,
2771 "linked_integrations": [
2772 {
2773 "id": "string",
2774 "link_details": [
2775 {
2776 "url": "string",
2777 "custom_field_name": "string"
2778 }
2779 ]
2780 }
2781 ],
2782 "billing_entity_id": "string",
2783 "customer_id": "string"
2784 }
2785 ],
2786 "entitlements": [
2787 {
2788 "feature_id": "string",
2789 "feature": {
2790 "object_type": "string",
2791 "id": "string",
2792 "reference": "string",
2793 "name": "string",
2794 "description": "string",
2795 "type": "SWITCH",
2796 "enum_values": [
2797 "string"
2798 ],
2799 "meter_value_calculation_id": "string",
2800 "meter_value_calculation": {
2801 "object_type": "string",
2802 "id": "string",
2803 "reference": "string",
2804 "name": "string",
2805 "description": "string",
2806 "calculation_type": "SUM",
2807 "persist": true,
2808 "meter_id": "string",
2809 "meter": {
2810 "object_type": "string",
2811 "id": "string",
2812 "reference": "string",
2813 "name": "string",
2814 "description": "string",
2815 "status": "DRAFT",
2816 "meter_values": [
2817 {
2818 "id": "string",
2819 "object": {
2820 "object_type": "string",
2821 "id": "string",
2822 "reference": "string",
2823 "name": "string",
2824 "description": "string",
2825 "status": "DRAFT",
2826 "type": "NUMBER"
2827 },
2828 "required": true
2829 }
2830 ],
2831 "meter_properties": [
2832 {
2833 "id": "string",
2834 "object": {
2835 "object_type": "string",
2836 "id": "string",
2837 "reference": "string",
2838 "name": "string",
2839 "description": "string",
2840 "status": "DRAFT",
2841 "type": "NUMBER",
2842 "enum_values": [
2843 "string"
2844 ]
2845 },
2846 "required": true
2847 }
2848 ]
2849 },
2850 "meter_value_id": "string",
2851 "meter_value": {
2852 "object_type": "string",
2853 "id": "string",
2854 "reference": "string",
2855 "name": "string",
2856 "description": "string",
2857 "status": "DRAFT",
2858 "type": "NUMBER"
2859 },
2860 "meter_property_id": "string",
2861 "meter_property": {
2862 "object_type": "string",
2863 "id": "string",
2864 "reference": "string",
2865 "name": "string",
2866 "description": "string",
2867 "status": "DRAFT",
2868 "type": "NUMBER",
2869 "enum_values": [
2870 "string"
2871 ]
2872 }
2873 }
2874 },
2875 "feature_reference": "string",
2876 "override": true,
2877 "number": "string",
2878 "switch": true,
2879 "amount": {
2880 "quantity": "string",
2881 "currency": "AED"
2882 },
2883 "enum": "string",
2884 "string": "string",
2885 "overwrite": true
2886 }
2887 ],
2888 "items": [
2889 {
2890 "object_type": "string",
2891 "id": "string",
2892 "original_pricing_item_id": "string",
2893 "original_pricing_item": {},
2894 "override": "ALL",
2895 "product_item_ids": [
2896 "string"
2897 ],
2898 "product_items": [
2899 {
2900 "object_type": "string",
2901 "id": "string",
2902 "product_id": "string",
2903 "product": {
2904 "object_type": "string",
2905 "id": "string",
2906 "category_id": "string",
2907 "category": {
2908 "object_type": "string",
2909 "id": "string",
2910 "name": "string",
2911 "reference": "string",
2912 "description": "string",
2913 "tax_category": "STANDARD",
2914 "display_order": 1,
2915 "customer_id": "string"
2916 },
2917 "parent_product_id": "string",
2918 "name": "string",
2919 "reference": "string",
2920 "description": "string",
2921 "status": "DRAFT",
2922 "product_type": "DEFAULT",
2923 "tax_category": "STANDARD",
2924 "features": [
2925 {
2926 "id": "string",
2927 "reference": "string"
2928 }
2929 ],
2930 "custom_fields": [
2931 {
2932 "id": "string",
2933 "reference": "string",
2934 "value": "string",
2935 "values": [
2936 "string"
2937 ],
2938 "integration_details": {
2939 "id": "string",
2940 "reference": "string",
2941 "payment_gateway_variant": "ADYEN",
2942 "adyen": {
2943 "recurring_detail_reference": "string"
2944 },
2945 "stripe": {
2946 "payment_method_id": "string"
2947 }
2948 }
2949 }
2950 ],
2951 "display_order": 1,
2952 "linked_integrations": [
2953 {
2954 "id": "string",
2955 "link_details": [
2956 {
2957 "url": "string",
2958 "custom_field_name": "string"
2959 }
2960 ]
2961 }
2962 ],
2963 "billing_entity_id": "string",
2964 "customer_id": "string"
2965 },
2966 "name": "string",
2967 "status": "DRAFT",
2968 "reference": "string",
2969 "description": "string",
2970 "type": "REVENUE",
2971 "model_type": "USAGE_BASED",
2972 "usage_based": {
2973 "meter_value_calculation_id": "string",
2974 "meter_value_calculation": {
2975 "object_type": "string",
2976 "id": "string",
2977 "reference": "string",
2978 "name": "string",
2979 "description": "string",
2980 "calculation_type": "SUM",
2981 "persist": true,
2982 "meter_id": "string",
2983 "meter": {
2984 "object_type": "string",
2985 "id": "string",
2986 "reference": "string",
2987 "name": "string",
2988 "description": "string",
2989 "status": "DRAFT",
2990 "meter_values": [
2991 {
2992 "id": "string",
2993 "object": {
2994 "object_type": {},
2995 "id": {},
2996 "reference": {},
2997 "name": {},
2998 "description": {},
2999 "status": {},
3000 "type": {}
3001 },
3002 "required": true
3003 }
3004 ],
3005 "meter_properties": [
3006 {
3007 "id": "string",
3008 "object": {
3009 "object_type": {},
3010 "id": {},
3011 "reference": {},
3012 "name": {},
3013 "description": {},
3014 "status": {},
3015 "type": {},
3016 "enum_values": {}
3017 },
3018 "required": true
3019 }
3020 ]
3021 },
3022 "meter_value_id": "string",
3023 "meter_value": {
3024 "object_type": "string",
3025 "id": "string",
3026 "reference": "string",
3027 "name": "string",
3028 "description": "string",
3029 "status": "DRAFT",
3030 "type": "NUMBER"
3031 },
3032 "meter_property_id": "string",
3033 "meter_property": {
3034 "object_type": "string",
3035 "id": "string",
3036 "reference": "string",
3037 "name": "string",
3038 "description": "string",
3039 "status": "DRAFT",
3040 "type": "NUMBER",
3041 "enum_values": [
3042 "string"
3043 ]
3044 }
3045 },
3046 "tiering_meter_value_calculation_id": "string",
3047 "tiering_meter_value_calculation": {
3048 "object_type": "string",
3049 "id": "string",
3050 "reference": "string",
3051 "name": "string",
3052 "description": "string",
3053 "calculation_type": "SUM",
3054 "persist": true,
3055 "meter_id": "string",
3056 "meter": {
3057 "object_type": "string",
3058 "id": "string",
3059 "reference": "string",
3060 "name": "string",
3061 "description": "string",
3062 "status": "DRAFT",
3063 "meter_values": [
3064 {
3065 "id": "string",
3066 "object": {
3067 "object_type": {},
3068 "id": {},
3069 "reference": {},
3070 "name": {},
3071 "description": {},
3072 "status": {},
3073 "type": {}
3074 },
3075 "required": true
3076 }
3077 ],
3078 "meter_properties": [
3079 {
3080 "id": "string",
3081 "object": {
3082 "object_type": {},
3083 "id": {},
3084 "reference": {},
3085 "name": {},
3086 "description": {},
3087 "status": {},
3088 "type": {},
3089 "enum_values": {}
3090 },
3091 "required": true
3092 }
3093 ]
3094 },
3095 "meter_value_id": "string",
3096 "meter_value": {
3097 "object_type": "string",
3098 "id": "string",
3099 "reference": "string",
3100 "name": "string",
3101 "description": "string",
3102 "status": "DRAFT",
3103 "type": "NUMBER"
3104 },
3105 "meter_property_id": "string",
3106 "meter_property": {
3107 "object_type": "string",
3108 "id": "string",
3109 "reference": "string",
3110 "name": "string",
3111 "description": "string",
3112 "status": "DRAFT",
3113 "type": "NUMBER",
3114 "enum_values": [
3115 "string"
3116 ]
3117 }
3118 },
3119 "report_meter_value_calculation_ids": [
3120 "string"
3121 ],
3122 "conditions": {
3123 "name": "string",
3124 "expression": {
3125 "operator": "AND",
3126 "operands": [
3127 {
3128 "meter_property": {
3129 "id": {},
3130 "reference": {},
3131 "meter_property": {},
3132 "value": {},
3133 "values": {},
3134 "comparator": {}
3135 },
3136 "expression": {}
3137 }
3138 ]
3139 },
3140 "meter_properties": [
3141 {
3142 "id": "string",
3143 "reference": "string",
3144 "meter_property": {
3145 "object_type": "string",
3146 "id": "string",
3147 "reference": "string",
3148 "name": "string",
3149 "description": "string",
3150 "status": "DRAFT",
3151 "type": "NUMBER",
3152 "enum_values": [
3153 "string"
3154 ]
3155 },
3156 "value": "string",
3157 "values": [
3158 "string"
3159 ],
3160 "comparator": "EQUALS"
3161 }
3162 ]
3163 }
3164 },
3165 "credits": {
3166 "credit_type_id": "string",
3167 "credit_type": {
3168 "object_type": "string",
3169 "id": "string",
3170 "reference": "string",
3171 "status": "DRAFT",
3172 "name": "string",
3173 "description": "string",
3174 "unit_name": {
3175 "singular": "string",
3176 "plural": "string"
3177 },
3178 "created_at": "string",
3179 "updated_at": "string"
3180 }
3181 },
3182 "meter_value_calculation": {
3183 "object_type": "string",
3184 "id": "string",
3185 "reference": "string",
3186 "name": "string",
3187 "description": "string",
3188 "calculation_type": "SUM",
3189 "persist": true,
3190 "meter_id": "string",
3191 "meter": {
3192 "object_type": "string",
3193 "id": "string",
3194 "reference": "string",
3195 "name": "string",
3196 "description": "string",
3197 "status": "DRAFT",
3198 "meter_values": [
3199 {
3200 "id": "string",
3201 "object": {
3202 "object_type": "string",
3203 "id": "string",
3204 "reference": "string",
3205 "name": "string",
3206 "description": "string",
3207 "status": "DRAFT",
3208 "type": "NUMBER"
3209 },
3210 "required": true
3211 }
3212 ],
3213 "meter_properties": [
3214 {
3215 "id": "string",
3216 "object": {
3217 "object_type": "string",
3218 "id": "string",
3219 "reference": "string",
3220 "name": "string",
3221 "description": "string",
3222 "status": "DRAFT",
3223 "type": "NUMBER",
3224 "enum_values": [
3225 "string"
3226 ]
3227 },
3228 "required": true
3229 }
3230 ]
3231 },
3232 "meter_value_id": "string",
3233 "meter_value": {
3234 "object_type": "string",
3235 "id": "string",
3236 "reference": "string",
3237 "name": "string",
3238 "description": "string",
3239 "status": "DRAFT",
3240 "type": "NUMBER"
3241 },
3242 "meter_property_id": "string",
3243 "meter_property": {
3244 "object_type": "string",
3245 "id": "string",
3246 "reference": "string",
3247 "name": "string",
3248 "description": "string",
3249 "status": "DRAFT",
3250 "type": "NUMBER",
3251 "enum_values": [
3252 "string"
3253 ]
3254 }
3255 },
3256 "tax_category": "STANDARD",
3257 "display_order": 1,
3258 "unit_name": {
3259 "singular": "string",
3260 "plural": "string"
3261 },
3262 "custom_fields": [
3263 {
3264 "id": "string",
3265 "reference": "string",
3266 "value": "string",
3267 "values": [
3268 "string"
3269 ],
3270 "integration_details": {
3271 "id": "string",
3272 "reference": "string",
3273 "payment_gateway_variant": "ADYEN",
3274 "adyen": {
3275 "recurring_detail_reference": "string"
3276 },
3277 "stripe": {
3278 "payment_method_id": "string"
3279 }
3280 }
3281 }
3282 ],
3283 "customer_id": "string",
3284 "meter_value_calculation_id": "string",
3285 "report_meter_value_calculation_ids": [
3286 "string"
3287 ]
3288 }
3289 ],
3290 "configs": [
3291 {
3292 "object_type": "string",
3293 "id": "string",
3294 "original_pricing_item_config_id": "string",
3295 "original_pricing_item_config": {},
3296 "details": {
3297 "billing_period": {
3298 "type": "DAY",
3299 "value": 1
3300 },
3301 "pricing_type": "FLAT",
3302 "pricing_period": {
3303 "type": "DAY",
3304 "value": 1
3305 },
3306 "bands": [
3307 {
3308 "amount": {
3309 "quantity": "string",
3310 "currency": "AED"
3311 },
3312 "percentage": "string",
3313 "credits": {
3314 "quantity": "string",
3315 "credit_type_id": "string"
3316 },
3317 "fixed_amount": {
3318 "quantity": "string",
3319 "currency": "AED"
3320 },
3321 "maximum_amount": {
3322 "quantity": "string",
3323 "currency": "AED"
3324 },
3325 "minimum_amount": {
3326 "quantity": "string",
3327 "currency": "AED"
3328 },
3329 "maximum_number": "string",
3330 "minimum_number": "string",
3331 "block_size": {
3332 "number": "string",
3333 "amount": {
3334 "quantity": "string",
3335 "currency": "AED"
3336 },
3337 "count": "string"
3338 },
3339 "tier_top_bound": {
3340 "number": "string",
3341 "amount": {
3342 "quantity": "string",
3343 "currency": "AED"
3344 },
3345 "count": "string"
3346 }
3347 }
3348 ]
3349 },
3350 "billing_period": {
3351 "type": "DAY",
3352 "value": 1
3353 },
3354 "pricing_period": {
3355 "type": "DAY",
3356 "value": 1
3357 },
3358 "default_included_volume": {
3359 "number": "string",
3360 "amount": {
3361 "quantity": "string",
3362 "currency": "AED"
3363 },
3364 "count": "string",
3365 "reset_type": "string"
3366 },
3367 "default_seats_value": {
3368 "number": "string",
3369 "amount": {
3370 "quantity": "string",
3371 "currency": "AED"
3372 },
3373 "count": "string"
3374 },
3375 "conditions": {
3376 "name": "string",
3377 "meter_properties": [
3378 {
3379 "id": "string",
3380 "reference": "string",
3381 "meter_property": {
3382 "object_type": "string",
3383 "id": "string",
3384 "reference": "string",
3385 "name": "string",
3386 "description": "string",
3387 "status": "DRAFT",
3388 "type": "NUMBER",
3389 "enum_values": [
3390 "string"
3391 ]
3392 },
3393 "value": "string",
3394 "values": [
3395 "string"
3396 ],
3397 "comparator": "EQUALS"
3398 }
3399 ],
3400 "configs": [
3401 {}
3402 ]
3403 },
3404 "order": 1,
3405 "billing_in_advance": true,
3406 "volume_group_reference": "string",
3407 "top_up": {
3408 "rollover": true
3409 },
3410 "split_pricing": {
3411 "meter_properties": [
3412 {
3413 "id": "string",
3414 "reference": "string",
3415 "value": "string",
3416 "meter_property": {
3417 "object_type": "string",
3418 "id": "string",
3419 "reference": "string",
3420 "name": "string",
3421 "description": "string",
3422 "status": "DRAFT",
3423 "type": "NUMBER",
3424 "enum_values": [
3425 "string"
3426 ]
3427 }
3428 }
3429 ]
3430 },
3431 "on_demand": true,
3432 "wallet_grants": [
3433 {
3434 "wallet_type_id": "string",
3435 "wallet_type": {
3436 "object_type": "string",
3437 "id": "string",
3438 "name": "string",
3439 "reference": "string",
3440 "status": "DRAFT",
3441 "type": "CREDIT",
3442 "credit": {
3443 "grant_type": "CREDITS",
3444 "amount_grant": {
3445 "default_currency": "AED",
3446 "tax_category": "STANDARD"
3447 },
3448 "credits_grant": {
3449 "credit_type_id": "string"
3450 }
3451 },
3452 "balance": {
3453 "default_currency": "string"
3454 },
3455 "created_at": "string",
3456 "updated_at": "string"
3457 },
3458 "amount_grant": {
3459 "amount": {
3460 "quantity": "string",
3461 "currency": "AED"
3462 },
3463 "percentage": "string"
3464 },
3465 "credits_grant": {
3466 "credits": {
3467 "quantity": "string",
3468 "credit_type_id": "string"
3469 },
3470 "conversion": "string"
3471 },
3472 "expiry_policy": {
3473 "expiry_period": {
3474 "type": "DAY",
3475 "value": 1
3476 }
3477 }
3478 }
3479 ],
3480 "type": "FLAT",
3481 "pricing_type": "FLAT",
3482 "bands": [
3483 {
3484 "amount": {
3485 "quantity": "string",
3486 "currency": "AED"
3487 },
3488 "percentage": "string",
3489 "credits": {
3490 "quantity": "string",
3491 "credit_type_id": "string"
3492 },
3493 "fixed_amount": {
3494 "quantity": "string",
3495 "currency": "AED"
3496 },
3497 "maximum_amount": {
3498 "quantity": "string",
3499 "currency": "AED"
3500 },
3501 "minimum_amount": {
3502 "quantity": "string",
3503 "currency": "AED"
3504 },
3505 "maximum_number": "string",
3506 "minimum_number": "string",
3507 "block_size": {
3508 "number": "string",
3509 "amount": {
3510 "quantity": "string",
3511 "currency": "AED"
3512 },
3513 "count": "string"
3514 },
3515 "tier_top_bound": {
3516 "number": "string",
3517 "amount": {
3518 "quantity": "string",
3519 "currency": "AED"
3520 },
3521 "count": "string"
3522 }
3523 }
3524 ]
3525 }
3526 ],
3527 "pricing_currency_configs": [
3528 {
3529 "currency": "AED",
3530 "configs": [
3531 {
3532 "object_type": "string",
3533 "id": "string",
3534 "original_pricing_item_config_id": "string",
3535 "original_pricing_item_config": {},
3536 "details": {
3537 "billing_period": {
3538 "type": "DAY",
3539 "value": 1
3540 },
3541 "pricing_type": "FLAT",
3542 "pricing_period": {
3543 "type": "DAY",
3544 "value": 1
3545 },
3546 "bands": [
3547 {
3548 "amount": {
3549 "quantity": "string",
3550 "currency": "AED"
3551 },
3552 "percentage": "string",
3553 "credits": {
3554 "quantity": "string",
3555 "credit_type_id": "string"
3556 },
3557 "fixed_amount": {
3558 "quantity": "string",
3559 "currency": "AED"
3560 },
3561 "maximum_amount": {
3562 "quantity": "string",
3563 "currency": "AED"
3564 },
3565 "minimum_amount": {
3566 "quantity": "string",
3567 "currency": "AED"
3568 },
3569 "maximum_number": "string",
3570 "minimum_number": "string",
3571 "block_size": {
3572 "number": "string",
3573 "amount": {
3574 "quantity": {},
3575 "currency": {}
3576 },
3577 "count": "string"
3578 },
3579 "tier_top_bound": {
3580 "number": "string",
3581 "amount": {
3582 "quantity": {},
3583 "currency": {}
3584 },
3585 "count": "string"
3586 }
3587 }
3588 ]
3589 },
3590 "billing_period": {
3591 "type": "DAY",
3592 "value": 1
3593 },
3594 "pricing_period": {
3595 "type": "DAY",
3596 "value": 1
3597 },
3598 "default_included_volume": {
3599 "number": "string",
3600 "amount": {
3601 "quantity": "string",
3602 "currency": "AED"
3603 },
3604 "count": "string",
3605 "reset_type": "string"
3606 },
3607 "default_seats_value": {
3608 "number": "string",
3609 "amount": {
3610 "quantity": "string",
3611 "currency": "AED"
3612 },
3613 "count": "string"
3614 },
3615 "conditions": {
3616 "name": "string",
3617 "meter_properties": [
3618 {
3619 "id": "string",
3620 "reference": "string",
3621 "meter_property": {
3622 "object_type": "string",
3623 "id": "string",
3624 "reference": "string",
3625 "name": "string",
3626 "description": "string",
3627 "status": "DRAFT",
3628 "type": "NUMBER",
3629 "enum_values": [
3630 "string"
3631 ]
3632 },
3633 "value": "string",
3634 "values": [
3635 "string"
3636 ],
3637 "comparator": "EQUALS"
3638 }
3639 ],
3640 "configs": [
3641 {}
3642 ]
3643 },
3644 "order": 1,
3645 "billing_in_advance": true,
3646 "volume_group_reference": "string",
3647 "top_up": {
3648 "rollover": true
3649 },
3650 "split_pricing": {
3651 "meter_properties": [
3652 {
3653 "id": "string",
3654 "reference": "string",
3655 "value": "string",
3656 "meter_property": {
3657 "object_type": "string",
3658 "id": "string",
3659 "reference": "string",
3660 "name": "string",
3661 "description": "string",
3662 "status": "DRAFT",
3663 "type": "NUMBER",
3664 "enum_values": [
3665 "string"
3666 ]
3667 }
3668 }
3669 ]
3670 },
3671 "on_demand": true,
3672 "wallet_grants": [
3673 {
3674 "wallet_type_id": "string",
3675 "wallet_type": {
3676 "object_type": "string",
3677 "id": "string",
3678 "name": "string",
3679 "reference": "string",
3680 "status": "DRAFT",
3681 "type": "CREDIT",
3682 "credit": {
3683 "grant_type": "CREDITS",
3684 "amount_grant": {
3685 "default_currency": {},
3686 "tax_category": {}
3687 },
3688 "credits_grant": {
3689 "credit_type_id": {}
3690 }
3691 },
3692 "balance": {
3693 "default_currency": "string"
3694 },
3695 "created_at": "string",
3696 "updated_at": "string"
3697 },
3698 "amount_grant": {
3699 "amount": {
3700 "quantity": "string",
3701 "currency": "AED"
3702 },
3703 "percentage": "string"
3704 },
3705 "credits_grant": {
3706 "credits": {
3707 "quantity": "string",
3708 "credit_type_id": "string"
3709 },
3710 "conversion": "string"
3711 },
3712 "expiry_policy": {
3713 "expiry_period": {
3714 "type": "DAY",
3715 "value": 1
3716 }
3717 }
3718 }
3719 ],
3720 "type": "FLAT",
3721 "pricing_type": "FLAT",
3722 "bands": [
3723 {
3724 "amount": {
3725 "quantity": "string",
3726 "currency": "AED"
3727 },
3728 "percentage": "string",
3729 "credits": {
3730 "quantity": "string",
3731 "credit_type_id": "string"
3732 },
3733 "fixed_amount": {
3734 "quantity": "string",
3735 "currency": "AED"
3736 },
3737 "maximum_amount": {
3738 "quantity": "string",
3739 "currency": "AED"
3740 },
3741 "minimum_amount": {
3742 "quantity": "string",
3743 "currency": "AED"
3744 },
3745 "maximum_number": "string",
3746 "minimum_number": "string",
3747 "block_size": {
3748 "number": "string",
3749 "amount": {
3750 "quantity": "string",
3751 "currency": "AED"
3752 },
3753 "count": "string"
3754 },
3755 "tier_top_bound": {
3756 "number": "string",
3757 "amount": {
3758 "quantity": "string",
3759 "currency": "AED"
3760 },
3761 "count": "string"
3762 }
3763 }
3764 ]
3765 }
3766 ],
3767 "billing_period_configs": [
3768 {
3769 "billing_period": {
3770 "type": "DAY",
3771 "value": 1
3772 },
3773 "configs": [
3774 {
3775 "object_type": "string",
3776 "id": "string",
3777 "original_pricing_item_config_id": "string",
3778 "original_pricing_item_config": {},
3779 "details": {
3780 "billing_period": {
3781 "type": "DAY",
3782 "value": 1
3783 },
3784 "pricing_type": "FLAT",
3785 "pricing_period": {
3786 "type": "DAY",
3787 "value": 1
3788 },
3789 "bands": [
3790 {
3791 "amount": {
3792 "quantity": {},
3793 "currency": {}
3794 },
3795 "percentage": "string",
3796 "credits": {
3797 "quantity": {},
3798 "credit_type_id": {}
3799 },
3800 "fixed_amount": {
3801 "quantity": {},
3802 "currency": {}
3803 },
3804 "maximum_amount": {
3805 "quantity": {},
3806 "currency": {}
3807 },
3808 "minimum_amount": {
3809 "quantity": {},
3810 "currency": {}
3811 },
3812 "maximum_number": "string",
3813 "minimum_number": "string",
3814 "block_size": {
3815 "number": {},
3816 "amount": {},
3817 "count": {}
3818 },
3819 "tier_top_bound": {
3820 "number": {},
3821 "amount": {},
3822 "count": {}
3823 }
3824 }
3825 ]
3826 },
3827 "billing_period": {
3828 "type": "DAY",
3829 "value": 1
3830 },
3831 "pricing_period": {
3832 "type": "DAY",
3833 "value": 1
3834 },
3835 "default_included_volume": {
3836 "number": "string",
3837 "amount": {
3838 "quantity": "string",
3839 "currency": "AED"
3840 },
3841 "count": "string",
3842 "reset_type": "string"
3843 },
3844 "default_seats_value": {
3845 "number": "string",
3846 "amount": {
3847 "quantity": "string",
3848 "currency": "AED"
3849 },
3850 "count": "string"
3851 },
3852 "conditions": {
3853 "name": "string",
3854 "meter_properties": [
3855 {
3856 "id": "string",
3857 "reference": "string",
3858 "meter_property": {
3859 "object_type": {},
3860 "id": {},
3861 "reference": {},
3862 "name": {},
3863 "description": {},
3864 "status": {},
3865 "type": {},
3866 "enum_values": {}
3867 },
3868 "value": "string",
3869 "values": [
3870 "string"
3871 ],
3872 "comparator": "EQUALS"
3873 }
3874 ],
3875 "configs": [
3876 {}
3877 ]
3878 },
3879 "order": 1,
3880 "billing_in_advance": true,
3881 "volume_group_reference": "string",
3882 "top_up": {
3883 "rollover": true
3884 },
3885 "split_pricing": {
3886 "meter_properties": [
3887 {
3888 "id": "string",
3889 "reference": "string",
3890 "value": "string",
3891 "meter_property": {
3892 "object_type": {},
3893 "id": {},
3894 "reference": {},
3895 "name": {},
3896 "description": {},
3897 "status": {},
3898 "type": {},
3899 "enum_values": {}
3900 }
3901 }
3902 ]
3903 },
3904 "on_demand": true,
3905 "wallet_grants": [
3906 {
3907 "wallet_type_id": "string",
3908 "wallet_type": {
3909 "object_type": "string",
3910 "id": "string",
3911 "name": "string",
3912 "reference": "string",
3913 "status": "DRAFT",
3914 "type": "CREDIT",
3915 "credit": {
3916 "grant_type": {},
3917 "amount_grant": {},
3918 "credits_grant": {}
3919 },
3920 "balance": {
3921 "default_currency": {}
3922 },
3923 "created_at": "string",
3924 "updated_at": "string"
3925 },
3926 "amount_grant": {
3927 "amount": {
3928 "quantity": {},
3929 "currency": {}
3930 },
3931 "percentage": "string"
3932 },
3933 "credits_grant": {
3934 "credits": {
3935 "quantity": {},
3936 "credit_type_id": {}
3937 },
3938 "conversion": "string"
3939 },
3940 "expiry_policy": {
3941 "expiry_period": {
3942 "type": {},
3943 "value": {}
3944 }
3945 }
3946 }
3947 ],
3948 "type": "FLAT",
3949 "pricing_type": "FLAT",
3950 "bands": [
3951 {
3952 "amount": {
3953 "quantity": "string",
3954 "currency": "AED"
3955 },
3956 "percentage": "string",
3957 "credits": {
3958 "quantity": "string",
3959 "credit_type_id": "string"
3960 },
3961 "fixed_amount": {
3962 "quantity": "string",
3963 "currency": "AED"
3964 },
3965 "maximum_amount": {
3966 "quantity": "string",
3967 "currency": "AED"
3968 },
3969 "minimum_amount": {
3970 "quantity": "string",
3971 "currency": "AED"
3972 },
3973 "maximum_number": "string",
3974 "minimum_number": "string",
3975 "block_size": {
3976 "number": "string",
3977 "amount": {
3978 "quantity": {},
3979 "currency": {}
3980 },
3981 "count": "string"
3982 },
3983 "tier_top_bound": {
3984 "number": "string",
3985 "amount": {
3986 "quantity": {},
3987 "currency": {}
3988 },
3989 "count": "string"
3990 }
3991 }
3992 ]
3993 }
3994 ]
3995 }
3996 ],
3997 "fallback_currency": "AED"
3998 }
3999 ],
4000 "billing_period_configs": [
4001 {
4002 "billing_period": {
4003 "type": "DAY",
4004 "value": 1
4005 },
4006 "configs": [
4007 {
4008 "object_type": "string",
4009 "id": "string",
4010 "original_pricing_item_config_id": "string",
4011 "original_pricing_item_config": {},
4012 "details": {
4013 "billing_period": {
4014 "type": "DAY",
4015 "value": 1
4016 },
4017 "pricing_type": "FLAT",
4018 "pricing_period": {
4019 "type": "DAY",
4020 "value": 1
4021 },
4022 "bands": [
4023 {
4024 "amount": {
4025 "quantity": "string",
4026 "currency": "AED"
4027 },
4028 "percentage": "string",
4029 "credits": {
4030 "quantity": "string",
4031 "credit_type_id": "string"
4032 },
4033 "fixed_amount": {
4034 "quantity": "string",
4035 "currency": "AED"
4036 },
4037 "maximum_amount": {
4038 "quantity": "string",
4039 "currency": "AED"
4040 },
4041 "minimum_amount": {
4042 "quantity": "string",
4043 "currency": "AED"
4044 },
4045 "maximum_number": "string",
4046 "minimum_number": "string",
4047 "block_size": {
4048 "number": "string",
4049 "amount": {
4050 "quantity": {},
4051 "currency": {}
4052 },
4053 "count": "string"
4054 },
4055 "tier_top_bound": {
4056 "number": "string",
4057 "amount": {
4058 "quantity": {},
4059 "currency": {}
4060 },
4061 "count": "string"
4062 }
4063 }
4064 ]
4065 },
4066 "billing_period": {
4067 "type": "DAY",
4068 "value": 1
4069 },
4070 "pricing_period": {
4071 "type": "DAY",
4072 "value": 1
4073 },
4074 "default_included_volume": {
4075 "number": "string",
4076 "amount": {
4077 "quantity": "string",
4078 "currency": "AED"
4079 },
4080 "count": "string",
4081 "reset_type": "string"
4082 },
4083 "default_seats_value": {
4084 "number": "string",
4085 "amount": {
4086 "quantity": "string",
4087 "currency": "AED"
4088 },
4089 "count": "string"
4090 },
4091 "conditions": {
4092 "name": "string",
4093 "meter_properties": [
4094 {
4095 "id": "string",
4096 "reference": "string",
4097 "meter_property": {
4098 "object_type": "string",
4099 "id": "string",
4100 "reference": "string",
4101 "name": "string",
4102 "description": "string",
4103 "status": "DRAFT",
4104 "type": "NUMBER",
4105 "enum_values": [
4106 "string"
4107 ]
4108 },
4109 "value": "string",
4110 "values": [
4111 "string"
4112 ],
4113 "comparator": "EQUALS"
4114 }
4115 ],
4116 "configs": [
4117 {}
4118 ]
4119 },
4120 "order": 1,
4121 "billing_in_advance": true,
4122 "volume_group_reference": "string",
4123 "top_up": {
4124 "rollover": true
4125 },
4126 "split_pricing": {
4127 "meter_properties": [
4128 {
4129 "id": "string",
4130 "reference": "string",
4131 "value": "string",
4132 "meter_property": {
4133 "object_type": "string",
4134 "id": "string",
4135 "reference": "string",
4136 "name": "string",
4137 "description": "string",
4138 "status": "DRAFT",
4139 "type": "NUMBER",
4140 "enum_values": [
4141 "string"
4142 ]
4143 }
4144 }
4145 ]
4146 },
4147 "on_demand": true,
4148 "wallet_grants": [
4149 {
4150 "wallet_type_id": "string",
4151 "wallet_type": {
4152 "object_type": "string",
4153 "id": "string",
4154 "name": "string",
4155 "reference": "string",
4156 "status": "DRAFT",
4157 "type": "CREDIT",
4158 "credit": {
4159 "grant_type": "CREDITS",
4160 "amount_grant": {
4161 "default_currency": {},
4162 "tax_category": {}
4163 },
4164 "credits_grant": {
4165 "credit_type_id": {}
4166 }
4167 },
4168 "balance": {
4169 "default_currency": "string"
4170 },
4171 "created_at": "string",
4172 "updated_at": "string"
4173 },
4174 "amount_grant": {
4175 "amount": {
4176 "quantity": "string",
4177 "currency": "AED"
4178 },
4179 "percentage": "string"
4180 },
4181 "credits_grant": {
4182 "credits": {
4183 "quantity": "string",
4184 "credit_type_id": "string"
4185 },
4186 "conversion": "string"
4187 },
4188 "expiry_policy": {
4189 "expiry_period": {
4190 "type": "DAY",
4191 "value": 1
4192 }
4193 }
4194 }
4195 ],
4196 "type": "FLAT",
4197 "pricing_type": "FLAT",
4198 "bands": [
4199 {
4200 "amount": {
4201 "quantity": "string",
4202 "currency": "AED"
4203 },
4204 "percentage": "string",
4205 "credits": {
4206 "quantity": "string",
4207 "credit_type_id": "string"
4208 },
4209 "fixed_amount": {
4210 "quantity": "string",
4211 "currency": "AED"
4212 },
4213 "maximum_amount": {
4214 "quantity": "string",
4215 "currency": "AED"
4216 },
4217 "minimum_amount": {
4218 "quantity": "string",
4219 "currency": "AED"
4220 },
4221 "maximum_number": "string",
4222 "minimum_number": "string",
4223 "block_size": {
4224 "number": "string",
4225 "amount": {
4226 "quantity": "string",
4227 "currency": "AED"
4228 },
4229 "count": "string"
4230 },
4231 "tier_top_bound": {
4232 "number": "string",
4233 "amount": {
4234 "quantity": "string",
4235 "currency": "AED"
4236 },
4237 "count": "string"
4238 }
4239 }
4240 ]
4241 }
4242 ]
4243 }
4244 ],
4245 "display_order": 1
4246 }
4247 ]
4248 }
4249 ],
4250 "pricing_groups": [
4251 {
4252 "object_type": "string",
4253 "id": "string",
4254 "pricing_plan_version_id": "string",
4255 "name": "string",
4256 "product_type": "DEFAULT",
4257 "selection_constraint": "ANY",
4258 "display_order": 1,
4259 "pricings": [
4260 {
4261 "object_type": "string",
4262 "id": "string",
4263 "pricing_plan_version_id": "string",
4264 "pricing_plan_schedule_id": "string",
4265 "pricing_group_id": "string",
4266 "original_pricing_id": "string",
4267 "original_pricing": {},
4268 "override": "ALL",
4269 "name": "string",
4270 "product_type": "DEFAULT",
4271 "product_ids": [
4272 "string"
4273 ],
4274 "display_order": 1,
4275 "products": [
4276 {
4277 "object_type": "string",
4278 "id": "string",
4279 "category_id": "string",
4280 "category": {
4281 "object_type": "string",
4282 "id": "string",
4283 "name": "string",
4284 "reference": "string",
4285 "description": "string",
4286 "tax_category": "STANDARD",
4287 "display_order": 1,
4288 "customer_id": "string"
4289 },
4290 "parent_product_id": "string",
4291 "name": "string",
4292 "reference": "string",
4293 "description": "string",
4294 "status": "DRAFT",
4295 "product_type": "DEFAULT",
4296 "tax_category": "STANDARD",
4297 "features": [
4298 {
4299 "id": "string",
4300 "reference": "string"
4301 }
4302 ],
4303 "custom_fields": [
4304 {
4305 "id": "string",
4306 "reference": "string",
4307 "value": "string",
4308 "values": [
4309 "string"
4310 ],
4311 "integration_details": {
4312 "id": "string",
4313 "reference": "string",
4314 "payment_gateway_variant": "ADYEN",
4315 "adyen": {
4316 "recurring_detail_reference": "string"
4317 },
4318 "stripe": {
4319 "payment_method_id": "string"
4320 }
4321 }
4322 }
4323 ],
4324 "display_order": 1,
4325 "linked_integrations": [
4326 {
4327 "id": "string",
4328 "link_details": [
4329 {
4330 "url": "string",
4331 "custom_field_name": "string"
4332 }
4333 ]
4334 }
4335 ],
4336 "billing_entity_id": "string",
4337 "customer_id": "string"
4338 }
4339 ],
4340 "entitlements": [
4341 {
4342 "feature_id": "string",
4343 "feature": {
4344 "object_type": "string",
4345 "id": "string",
4346 "reference": "string",
4347 "name": "string",
4348 "description": "string",
4349 "type": "SWITCH",
4350 "enum_values": [
4351 "string"
4352 ],
4353 "meter_value_calculation_id": "string",
4354 "meter_value_calculation": {
4355 "object_type": "string",
4356 "id": "string",
4357 "reference": "string",
4358 "name": "string",
4359 "description": "string",
4360 "calculation_type": "SUM",
4361 "persist": true,
4362 "meter_id": "string",
4363 "meter": {
4364 "object_type": "string",
4365 "id": "string",
4366 "reference": "string",
4367 "name": "string",
4368 "description": "string",
4369 "status": "DRAFT",
4370 "meter_values": [
4371 {
4372 "id": "string",
4373 "object": {
4374 "object_type": {},
4375 "id": {},
4376 "reference": {},
4377 "name": {},
4378 "description": {},
4379 "status": {},
4380 "type": {}
4381 },
4382 "required": true
4383 }
4384 ],
4385 "meter_properties": [
4386 {
4387 "id": "string",
4388 "object": {
4389 "object_type": {},
4390 "id": {},
4391 "reference": {},
4392 "name": {},
4393 "description": {},
4394 "status": {},
4395 "type": {},
4396 "enum_values": {}
4397 },
4398 "required": true
4399 }
4400 ]
4401 },
4402 "meter_value_id": "string",
4403 "meter_value": {
4404 "object_type": "string",
4405 "id": "string",
4406 "reference": "string",
4407 "name": "string",
4408 "description": "string",
4409 "status": "DRAFT",
4410 "type": "NUMBER"
4411 },
4412 "meter_property_id": "string",
4413 "meter_property": {
4414 "object_type": "string",
4415 "id": "string",
4416 "reference": "string",
4417 "name": "string",
4418 "description": "string",
4419 "status": "DRAFT",
4420 "type": "NUMBER",
4421 "enum_values": [
4422 "string"
4423 ]
4424 }
4425 }
4426 },
4427 "feature_reference": "string",
4428 "override": true,
4429 "number": "string",
4430 "switch": true,
4431 "amount": {
4432 "quantity": "string",
4433 "currency": "AED"
4434 },
4435 "enum": "string",
4436 "string": "string",
4437 "overwrite": true
4438 }
4439 ],
4440 "items": [
4441 {
4442 "object_type": "string",
4443 "id": "string",
4444 "original_pricing_item_id": "string",
4445 "original_pricing_item": {},
4446 "override": "ALL",
4447 "product_item_ids": [
4448 "string"
4449 ],
4450 "product_items": [
4451 {
4452 "object_type": "string",
4453 "id": "string",
4454 "product_id": "string",
4455 "product": {
4456 "object_type": "string",
4457 "id": "string",
4458 "category_id": "string",
4459 "category": {
4460 "object_type": "string",
4461 "id": "string",
4462 "name": "string",
4463 "reference": "string",
4464 "description": "string",
4465 "tax_category": "STANDARD",
4466 "display_order": 1,
4467 "customer_id": "string"
4468 },
4469 "parent_product_id": "string",
4470 "name": "string",
4471 "reference": "string",
4472 "description": "string",
4473 "status": "DRAFT",
4474 "product_type": "DEFAULT",
4475 "tax_category": "STANDARD",
4476 "features": [
4477 {
4478 "id": "string",
4479 "reference": "string"
4480 }
4481 ],
4482 "custom_fields": [
4483 {
4484 "id": "string",
4485 "reference": "string",
4486 "value": "string",
4487 "values": [
4488 "string"
4489 ],
4490 "integration_details": {
4491 "id": "string",
4492 "reference": "string",
4493 "payment_gateway_variant": "ADYEN",
4494 "adyen": {
4495 "recurring_detail_reference": {}
4496 },
4497 "stripe": {
4498 "payment_method_id": {}
4499 }
4500 }
4501 }
4502 ],
4503 "display_order": 1,
4504 "linked_integrations": [
4505 {
4506 "id": "string",
4507 "link_details": [
4508 {
4509 "url": "string",
4510 "custom_field_name": "string"
4511 }
4512 ]
4513 }
4514 ],
4515 "billing_entity_id": "string",
4516 "customer_id": "string"
4517 },
4518 "name": "string",
4519 "status": "DRAFT",
4520 "reference": "string",
4521 "description": "string",
4522 "type": "REVENUE",
4523 "model_type": "USAGE_BASED",
4524 "usage_based": {
4525 "meter_value_calculation_id": "string",
4526 "meter_value_calculation": {
4527 "object_type": "string",
4528 "id": "string",
4529 "reference": "string",
4530 "name": "string",
4531 "description": "string",
4532 "calculation_type": "SUM",
4533 "persist": true,
4534 "meter_id": "string",
4535 "meter": {
4536 "object_type": "string",
4537 "id": "string",
4538 "reference": "string",
4539 "name": "string",
4540 "description": "string",
4541 "status": "DRAFT",
4542 "meter_values": [
4543 {
4544 "id": {},
4545 "object": {},
4546 "required": {}
4547 }
4548 ],
4549 "meter_properties": [
4550 {
4551 "id": {},
4552 "object": {},
4553 "required": {}
4554 }
4555 ]
4556 },
4557 "meter_value_id": "string",
4558 "meter_value": {
4559 "object_type": "string",
4560 "id": "string",
4561 "reference": "string",
4562 "name": "string",
4563 "description": "string",
4564 "status": "DRAFT",
4565 "type": "NUMBER"
4566 },
4567 "meter_property_id": "string",
4568 "meter_property": {
4569 "object_type": "string",
4570 "id": "string",
4571 "reference": "string",
4572 "name": "string",
4573 "description": "string",
4574 "status": "DRAFT",
4575 "type": "NUMBER",
4576 "enum_values": [
4577 "string"
4578 ]
4579 }
4580 },
4581 "tiering_meter_value_calculation_id": "string",
4582 "tiering_meter_value_calculation": {
4583 "object_type": "string",
4584 "id": "string",
4585 "reference": "string",
4586 "name": "string",
4587 "description": "string",
4588 "calculation_type": "SUM",
4589 "persist": true,
4590 "meter_id": "string",
4591 "meter": {
4592 "object_type": "string",
4593 "id": "string",
4594 "reference": "string",
4595 "name": "string",
4596 "description": "string",
4597 "status": "DRAFT",
4598 "meter_values": [
4599 {
4600 "id": {},
4601 "object": {},
4602 "required": {}
4603 }
4604 ],
4605 "meter_properties": [
4606 {
4607 "id": {},
4608 "object": {},
4609 "required": {}
4610 }
4611 ]
4612 },
4613 "meter_value_id": "string",
4614 "meter_value": {
4615 "object_type": "string",
4616 "id": "string",
4617 "reference": "string",
4618 "name": "string",
4619 "description": "string",
4620 "status": "DRAFT",
4621 "type": "NUMBER"
4622 },
4623 "meter_property_id": "string",
4624 "meter_property": {
4625 "object_type": "string",
4626 "id": "string",
4627 "reference": "string",
4628 "name": "string",
4629 "description": "string",
4630 "status": "DRAFT",
4631 "type": "NUMBER",
4632 "enum_values": [
4633 "string"
4634 ]
4635 }
4636 },
4637 "report_meter_value_calculation_ids": [
4638 "string"
4639 ],
4640 "conditions": {
4641 "name": "string",
4642 "expression": {
4643 "operator": "AND",
4644 "operands": [
4645 {
4646 "meter_property": {},
4647 "expression": {}
4648 }
4649 ]
4650 },
4651 "meter_properties": [
4652 {
4653 "id": "string",
4654 "reference": "string",
4655 "meter_property": {
4656 "object_type": {},
4657 "id": {},
4658 "reference": {},
4659 "name": {},
4660 "description": {},
4661 "status": {},
4662 "type": {},
4663 "enum_values": {}
4664 },
4665 "value": "string",
4666 "values": [
4667 "string"
4668 ],
4669 "comparator": "EQUALS"
4670 }
4671 ]
4672 }
4673 },
4674 "credits": {
4675 "credit_type_id": "string",
4676 "credit_type": {
4677 "object_type": "string",
4678 "id": "string",
4679 "reference": "string",
4680 "status": "DRAFT",
4681 "name": "string",
4682 "description": "string",
4683 "unit_name": {
4684 "singular": "string",
4685 "plural": "string"
4686 },
4687 "created_at": "string",
4688 "updated_at": "string"
4689 }
4690 },
4691 "meter_value_calculation": {
4692 "object_type": "string",
4693 "id": "string",
4694 "reference": "string",
4695 "name": "string",
4696 "description": "string",
4697 "calculation_type": "SUM",
4698 "persist": true,
4699 "meter_id": "string",
4700 "meter": {
4701 "object_type": "string",
4702 "id": "string",
4703 "reference": "string",
4704 "name": "string",
4705 "description": "string",
4706 "status": "DRAFT",
4707 "meter_values": [
4708 {
4709 "id": "string",
4710 "object": {
4711 "object_type": {},
4712 "id": {},
4713 "reference": {},
4714 "name": {},
4715 "description": {},
4716 "status": {},
4717 "type": {}
4718 },
4719 "required": true
4720 }
4721 ],
4722 "meter_properties": [
4723 {
4724 "id": "string",
4725 "object": {
4726 "object_type": {},
4727 "id": {},
4728 "reference": {},
4729 "name": {},
4730 "description": {},
4731 "status": {},
4732 "type": {},
4733 "enum_values": {}
4734 },
4735 "required": true
4736 }
4737 ]
4738 },
4739 "meter_value_id": "string",
4740 "meter_value": {
4741 "object_type": "string",
4742 "id": "string",
4743 "reference": "string",
4744 "name": "string",
4745 "description": "string",
4746 "status": "DRAFT",
4747 "type": "NUMBER"
4748 },
4749 "meter_property_id": "string",
4750 "meter_property": {
4751 "object_type": "string",
4752 "id": "string",
4753 "reference": "string",
4754 "name": "string",
4755 "description": "string",
4756 "status": "DRAFT",
4757 "type": "NUMBER",
4758 "enum_values": [
4759 "string"
4760 ]
4761 }
4762 },
4763 "tax_category": "STANDARD",
4764 "display_order": 1,
4765 "unit_name": {
4766 "singular": "string",
4767 "plural": "string"
4768 },
4769 "custom_fields": [
4770 {
4771 "id": "string",
4772 "reference": "string",
4773 "value": "string",
4774 "values": [
4775 "string"
4776 ],
4777 "integration_details": {
4778 "id": "string",
4779 "reference": "string",
4780 "payment_gateway_variant": "ADYEN",
4781 "adyen": {
4782 "recurring_detail_reference": "string"
4783 },
4784 "stripe": {
4785 "payment_method_id": "string"
4786 }
4787 }
4788 }
4789 ],
4790 "customer_id": "string",
4791 "meter_value_calculation_id": "string",
4792 "report_meter_value_calculation_ids": [
4793 "string"
4794 ]
4795 }
4796 ],
4797 "configs": [
4798 {
4799 "object_type": "string",
4800 "id": "string",
4801 "original_pricing_item_config_id": "string",
4802 "original_pricing_item_config": {},
4803 "details": {
4804 "billing_period": {
4805 "type": "DAY",
4806 "value": 1
4807 },
4808 "pricing_type": "FLAT",
4809 "pricing_period": {
4810 "type": "DAY",
4811 "value": 1
4812 },
4813 "bands": [
4814 {
4815 "amount": {
4816 "quantity": "string",
4817 "currency": "AED"
4818 },
4819 "percentage": "string",
4820 "credits": {
4821 "quantity": "string",
4822 "credit_type_id": "string"
4823 },
4824 "fixed_amount": {
4825 "quantity": "string",
4826 "currency": "AED"
4827 },
4828 "maximum_amount": {
4829 "quantity": "string",
4830 "currency": "AED"
4831 },
4832 "minimum_amount": {
4833 "quantity": "string",
4834 "currency": "AED"
4835 },
4836 "maximum_number": "string",
4837 "minimum_number": "string",
4838 "block_size": {
4839 "number": "string",
4840 "amount": {
4841 "quantity": {},
4842 "currency": {}
4843 },
4844 "count": "string"
4845 },
4846 "tier_top_bound": {
4847 "number": "string",
4848 "amount": {
[...]
